#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0xf92e104a, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x75b2f17a, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0xae71627d, "");
SYMBOL_CRC(ipmi_get_smi_info, 0xbc1891af, "");
SYMBOL_CRC(ipmi_destroy_user, 0x5c08065d, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0xaca90ebd, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0x0c1760a9, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0x96a6e5e8, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0x1f65170f, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x80aa4656, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3ce7ecdc, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf3935629, "platform_device_unregister" },
	{ 0x7393ed14, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b74ad19, "panic_notifier_list" },
	{ 0x9872696d, "atomic_notifier_chain_unregister" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0x659237d9, "driver_unregister" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xfbf9439f, "driver_register" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5fc91118, "init_srcu_struct" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf969847f, "atomic_notifier_chain_register" },
	{ 0x7362cb5a, "driver_find_device" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x9c6a9e34, "ida_alloc_range" },
	{ 0xf7f76ad3, "platform_device_register" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x660fac43, "_dev_info" },
	{ 0x7b8374db, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5a1dfd4, "sysfs_remove_link" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5580ce74, "__srcu_read_lock" },
	{ 0xa501f873, "__srcu_read_unlock" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x5da171f5, "synchronize_srcu" },
	{ 0x1f091bfb, "module_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0x403d6abc, "finish_wait" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0x7c777e35, "device_create_file" },
	{ 0x67e87e84, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x96579c3b, "rt_spin_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5175fb54, "platform_bus_type" },
	{ 0x7de170cf, "param_ops_uint" },
	{ 0x3c1fe665, "param_ops_ulong" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48B620F781DDF59B3345286");
MODULE_INFO(rhelversion, "10.1");
