#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_dynamic_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_crtc_in_clone_mode, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(drm_dev_wedged_event, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drmm_cgroup_register_region, "_gpl", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_fdinfo_print_size, "", "");
KSYMTAB_FUNC(drm_memory_stats_is_zero, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_color_mode_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_check_src_coords, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_free, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init_with_mnt, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drmm_workqueue_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_add, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(__drm_printfn_line, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_print_hex_dump, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drmm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_dev_suspend, "", "");
KSYMTAB_FUNC(drm_client_dev_resume, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order_sink, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x9e1df613, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xbea1bd8c, "");
SYMBOL_CRC(drm_atomic_state_init, 0x1111cf15, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xf426bcd0, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x9472e595, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x1c9f4ced, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x306eed24, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x8704ba22, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x91590a5c, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x471fbe3b, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x011efbf2, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0xf8b4b660, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x79c5f477, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x3aacb6e9, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xbbddf4fe, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xc2adad9c, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xc8ff058e, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x177d1277, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xb9c8061b, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x2d9665b5, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xde254655, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x5274ead5, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x2c433560, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x47deaa76, "");
SYMBOL_CRC(drm_atomic_check_only, 0x3cb410cf, "");
SYMBOL_CRC(drm_atomic_commit, 0xa0441a98, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x9620c8ab, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x8c57c7f6, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x5aa1b226, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x757dd65f, "");
SYMBOL_CRC(drm_state_dump, 0xebb46098, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x5829a839, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x4baa7874, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xde385ec6, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x055ae7c1, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x6b1fd8a2, "");
SYMBOL_CRC(drm_is_current_master, 0x3842f830, "");
SYMBOL_CRC(drm_master_get, 0x90225442, "");
SYMBOL_CRC(drm_file_get_master, 0x2a47f4a9, "");
SYMBOL_CRC(drm_master_put, 0x8a55298f, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x3889e75d, "");
SYMBOL_CRC(drm_master_internal_release, 0xe3865bda, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x0f157cf5, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x4ff5eb86, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xfc9f5e7a, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x05f98738, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x9769623f, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x32504612, "");
SYMBOL_CRC(drm_bridge_add, 0xedde6cf5, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x83bf430f, "");
SYMBOL_CRC(drm_bridge_remove, 0x6da5b2f5, "");
SYMBOL_CRC(drm_bridge_attach, 0x4626acd9, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xf6f2a2b8, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x0b85bfb7, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x54ce569c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x16fdd3bc, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xdc0774fe, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x08e8d680, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xc1bdd448, "");
SYMBOL_CRC(drm_bridge_detect, 0x4b504142, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x28b35b9e, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x2bd7a871, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x172072d6, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x7306d720, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x31dd3c19, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0x7618cf9c, "");
SYMBOL_CRC(drm_clflush_pages, 0x5719b3ea, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xb5fd5bca, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xda51d197, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xc2bb5755, "");
SYMBOL_CRC(drm_color_lut_check, 0xb297f208, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x20a91cfb, "");
SYMBOL_CRC(drm_connector_dynamic_init, 0xa332e35f, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xebb0887f, "");
SYMBOL_CRC(drmm_connector_init, 0x8e3f12cf, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0xefe05549, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xe7877b7c, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xe55722ac, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xf97825b0, "");
SYMBOL_CRC(drm_connector_cleanup, 0x3c547193, "");
SYMBOL_CRC(drm_connector_register, 0x2944d859, "");
SYMBOL_CRC(drm_connector_dynamic_register, 0x2c78d276, "");
SYMBOL_CRC(drm_connector_unregister, 0x4a0c603b, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x660db194, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x99b15f97, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x71cb6f1c, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x8909ae15, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x98387fac, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xf6bd56e0, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x94cf89be, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x83c9d6f0, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xa17f1107, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xd7ca05bf, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x8b713098, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x23ac34bc, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xf1b76e48, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xba4446a1, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x8505f55c, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x2062ae94, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x4e95eaab, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x93b58578, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x70aec202, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x2986eeff, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xfa8061c6, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x89dc4cc6, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x35959f0a, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0xbb56b234, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xdaee07dd, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xf8671248, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x4cdec174, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x9c7e3691, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xe29c8e35, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xee10aec6, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xb8d74a28, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xa8b2fe04, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x596bf794, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x6308ce4a, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x9d1d257e, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x8e56a7c8, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xa1039a2d, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x4bec8bb7, "");
SYMBOL_CRC(drm_crtc_from_index, 0x956af245, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xeffad425, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x4a4a77b4, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xa378224e, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xdd9ba936, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x9c15970a, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x204dc4cd, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x8b57bf9e, "");
SYMBOL_CRC(drm_crtc_in_clone_mode, 0x6e61c4cb, "");
SYMBOL_CRC(drm_put_dev, 0x863cbf8c, "");
SYMBOL_CRC(drm_dev_enter, 0xac82fb54, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x7acdd65d, "");
SYMBOL_CRC(drm_dev_wedged_event, 0x7e4bfd31, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x348d1140, "");
SYMBOL_CRC(drm_dev_alloc, 0xe4f5ebda, "");
SYMBOL_CRC(drm_dev_get, 0x6bca06ab, "");
SYMBOL_CRC(drm_dev_put, 0x5fb373e7, "");
SYMBOL_CRC(drmm_cgroup_register_region, 0x1fefa568, "_gpl");
SYMBOL_CRC(drm_dev_register, 0x331cb57e, "");
SYMBOL_CRC(drm_dev_unregister, 0x82ee3913, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x6d358ca2, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x66ea7365, "");
SYMBOL_CRC(drm_get_edid, 0x83933d23, "");
SYMBOL_CRC(drm_edid_read_custom, 0x38f23805, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xe876381c, "");
SYMBOL_CRC(drm_edid_read, 0x15a5b724, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0x0976ba9b, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x41df8c66, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xa94766fc, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xf7e7a264, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x4b546394, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x1a5d66fa, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0xbfdef722, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x8cc46e1a, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xf4bfe62b, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x4bc92673, "");
SYMBOL_CRC(drm_add_edid_modes, 0x4c08bf4a, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x3a7d4eea, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x8ba1a606, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x24d2688e, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xacf46b2e, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x1bf94531, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x0c241154, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xb767e124, "");
SYMBOL_CRC(drmm_encoder_init, 0xf5fb4d20, "");
SYMBOL_CRC(drm_open, 0xac11cc20, "");
SYMBOL_CRC(drm_release, 0x271e5fb2, "");
SYMBOL_CRC(drm_release_noglobal, 0x80ad9197, "");
SYMBOL_CRC(drm_read, 0xbc872b2e, "");
SYMBOL_CRC(drm_poll, 0xb311aaab, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x2c308c97, "");
SYMBOL_CRC(drm_event_reserve_init, 0x2c666891, "");
SYMBOL_CRC(drm_event_cancel_free, 0xd4b06451, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xe0167311, "");
SYMBOL_CRC(drm_send_event_locked, 0x2b052547, "");
SYMBOL_CRC(drm_send_event, 0x78586ec7, "");
SYMBOL_CRC(drm_fdinfo_print_size, 0x73a57917, "");
SYMBOL_CRC(drm_memory_stats_is_zero, 0x07650d87, "");
SYMBOL_CRC(drm_print_memory_stats, 0x3a586a55, "");
SYMBOL_CRC(drm_show_memory_stats, 0x452ee828, "");
SYMBOL_CRC(drm_show_fdinfo, 0xad2dbe4d, "");
SYMBOL_CRC(mock_drm_getfile, 0x4d901166, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x378dd494, "");
SYMBOL_CRC(drm_driver_color_mode_format, 0x9b4a71fa, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x158d1648, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_check_src_coords, 0xba07e7a4, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x633c4936, "");
SYMBOL_CRC(drm_framebuffer_free, 0xd4f8a3e1, "");
SYMBOL_CRC(drm_framebuffer_init, 0x7581697f, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x446461cd, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x27878f36, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xa31c2b31, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x8aa992aa, "");
SYMBOL_CRC(drm_gem_object_init_with_mnt, 0x59c1062a, "");
SYMBOL_CRC(drm_gem_object_init, 0x95af2588, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xa8156b4e, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xa8afc05f, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x836e52c7, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xf05d1d7d, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xd53ee890, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x69650cf0, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x800c31f8, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x9b6bd344, "");
SYMBOL_CRC(drm_gem_get_pages, 0x6ceaf61b, "");
SYMBOL_CRC(drm_gem_put_pages, 0x6e9ebdcf, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xfe06a025, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xe1149de9, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xf4753d3e, "");
SYMBOL_CRC(drm_gem_object_release, 0xfb901fe3, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xf55bb11c, "");
SYMBOL_CRC(drm_gem_vm_close, 0xd11eb565, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xce59bfee, "");
SYMBOL_CRC(drm_gem_mmap, 0x93870e3e, "");
SYMBOL_CRC(drm_gem_vmap, 0xc5c899a8, "");
SYMBOL_CRC(drm_gem_vunmap, 0x5c1d42c8, "");
SYMBOL_CRC(drm_gem_lock, 0x7e1ef9f8, "");
SYMBOL_CRC(drm_gem_unlock, 0x61533696, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x56ecc3ba, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x926a433d, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xedfdfef3, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x6c164756, "");
SYMBOL_CRC(drm_gem_lru_init, 0xcbb0a38f, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xeeef9e5c, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xff1a8a53, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xe6116b2f, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xd96aa292, "");
SYMBOL_CRC(drm_gem_evict, 0x180e2d52, "");
SYMBOL_CRC(drm_noop, 0x2bb05040, "");
SYMBOL_CRC(drm_invalid_op, 0x457de209, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xd6b43cdf, "");
SYMBOL_CRC(drm_ioctl, 0xb0b96f63, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xccf64328, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x2f1a4d5f, "");
SYMBOL_CRC(drmm_release_action, 0xf244cdff, "");
SYMBOL_CRC(drmm_kmalloc, 0x9e66f2ea, "");
SYMBOL_CRC(drmm_kstrdup, 0xa52c6761, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x4498cc74, "");
SYMBOL_CRC(__drmm_mutex_release, 0x85e445fa, "");
SYMBOL_CRC(__drmm_workqueue_release, 0x6c6bfde6, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x1528d90c, "");
SYMBOL_CRC(drm_mode_config_reset, 0x605bf730, "");
SYMBOL_CRC(drmm_mode_config_init, 0x419e7484, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xc95cec54, "");
SYMBOL_CRC(drm_mode_object_add, 0x9f1623dd, "");
SYMBOL_CRC(drm_mode_object_find, 0xcea7b04c, "");
SYMBOL_CRC(drm_mode_object_put, 0xa26bec25, "");
SYMBOL_CRC(drm_mode_object_get, 0x45fe7755, "");
SYMBOL_CRC(drm_object_attach_property, 0xc27a4242, "");
SYMBOL_CRC(drm_object_property_set_value, 0xdb5d25ac, "");
SYMBOL_CRC(drm_object_property_get_value, 0x72c3ee7c, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x60e15926, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xd5bf37a1, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xc98a47c6, "");
SYMBOL_CRC(drm_mode_destroy, 0x28d5ea05, "");
SYMBOL_CRC(drm_mode_probed_add, 0x3d8386ca, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x9a4457b9, "");
SYMBOL_CRC(drm_cvt_mode, 0x1d931dba, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x1a2bccdc, "");
SYMBOL_CRC(drm_gtf_mode, 0xaa92bdd9, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x805a9ac8, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xd3f8d685, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x7af29e05, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x46f06812, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xbe3ef2e9, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x6cfa24a6, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x01168239, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x79706219, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x3cffce8a, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x8e13a496, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x0c4b94be, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x099931a9, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x5f7b3d48, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xd71897d3, "");
SYMBOL_CRC(drm_modeset_backoff, 0xb2d2a476, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x0b4c4fa3, "");
SYMBOL_CRC(drm_modeset_lock, 0xb7947956, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x79ee4803, "");
SYMBOL_CRC(drm_modeset_unlock, 0xa4b587e8, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x47718892, "");
SYMBOL_CRC(drm_universal_plane_init, 0x9b3a35cd, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x434364b4, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x1de12c6a, "");
SYMBOL_CRC(drm_plane_cleanup, 0x02ed572a, "");
SYMBOL_CRC(drm_plane_from_index, 0x44b9f237, "");
SYMBOL_CRC(drm_plane_force_disable, 0x3070780a, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x4f2aabc7, "");
SYMBOL_CRC(drm_plane_has_format, 0x45fd21e3, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x8f749e47, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x80213488, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x8dd2da09, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x2b7b0434, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x958dad46, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x91334451, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x9522356e, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x7a49f827, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x3fba8ed8, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0xa28c1c92, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x0c62c11e, "");
SYMBOL_CRC(drm_gem_map_attach, 0xae0fcd65, "");
SYMBOL_CRC(drm_gem_map_detach, 0x5356cbad, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x287cc403, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xd4cccfe8, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x104a75e8, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x7838feac, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xb999ca59, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x2dc38033, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x4feee497, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xfc84284d, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x401f706a, "");
SYMBOL_CRC(drm_gem_prime_import, 0x9797faea, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x95e63daf, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xbb47e523, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xa542ecb6, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xf19909be, "");
SYMBOL_CRC(__drm_puts_seq_file, 0xc20834bc, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x50b67bbc, "");
SYMBOL_CRC(__drm_printfn_info, 0xd4a29529, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x6063f063, "");
SYMBOL_CRC(__drm_printfn_err, 0x3b0429b5, "");
SYMBOL_CRC(__drm_printfn_line, 0xd5660acc, "");
SYMBOL_CRC(drm_puts, 0x1401b42f, "");
SYMBOL_CRC(drm_printf, 0x4a59a39a, "");
SYMBOL_CRC(drm_print_bits, 0x873bb918, "");
SYMBOL_CRC(drm_dev_printk, 0x5ab5dfe9, "");
SYMBOL_CRC(__drm_dev_dbg, 0x128d01f4, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x86ce929c, "");
SYMBOL_CRC(drm_print_hex_dump, 0x6b09f02c, "");
SYMBOL_CRC(drm_property_create, 0x93b87f61, "");
SYMBOL_CRC(drm_property_create_enum, 0xdb5b2369, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x40823638, "");
SYMBOL_CRC(drm_property_create_range, 0x6e6a8160, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x8dfb3d09, "");
SYMBOL_CRC(drm_property_create_object, 0x540a3d63, "");
SYMBOL_CRC(drm_property_create_bool, 0x72e60e73, "");
SYMBOL_CRC(drm_property_add_enum, 0xcf2c4767, "");
SYMBOL_CRC(drm_property_destroy, 0x212fd4f8, "");
SYMBOL_CRC(drm_property_create_blob, 0xaee0637c, "");
SYMBOL_CRC(drm_property_blob_put, 0x718401b7, "");
SYMBOL_CRC(drm_property_blob_get, 0x544186cf, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x61f66798, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xc76a70fa, "");
SYMBOL_CRC(drm_property_replace_blob, 0x856d5ff3, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x1d6af0a6, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_syncobj_find, 0x1045fcf7, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xec1c3e0b, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x26f75970, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x81b0d1ec, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xbf4248d4, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x8d54cc90, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x64fa9083, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xd82e4590, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xca7aa691, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xfcf10ee3, "");
SYMBOL_CRC(drm_class_device_register, 0x049e491d, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x32c7617f, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x02913dea, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x815bdfdf, "");
SYMBOL_CRC(drm_vblank_init, 0x197901f7, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xdc7eff68, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x5ea7634b, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x594bd793, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x9b14ce76, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x74aabfc6, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xc301ccd3, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xddfa5b13, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x3bfff824, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x12faf26e, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x929b01e4, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xec73c13a, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xb5d03f79, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x310777de, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xfc1ff8a6, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x21cb97f3, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xfd2fcef4, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xfac5d7d5, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x5c6568d2, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x3b4fad5f, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x63253cf2, "");
SYMBOL_CRC(drm_handle_vblank, 0x76990d49, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x405ab82d, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x1d643aca, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xdb3bb344, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x4f92d866, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0xbe5b4af7, "");
SYMBOL_CRC(drm_vblank_work_init, 0x03ba2a60, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x952a4482, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3cf37ea6, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x2b58f0d0, "");
SYMBOL_CRC(drm_vma_offset_add, 0xed4bd7e2, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x1f3f5a27, "");
SYMBOL_CRC(drm_vma_node_allow, 0xfc410b8a, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x484c4899, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xd9c58be8, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xd409fd4e, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xfb26a1e0, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xc24f26c7, "");
SYMBOL_CRC(drmm_writeback_connector_init, 0xe9139f27, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x979f207c, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x68f2e4e3, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x23e9496f, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x4b516d9c, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x7d60f7de, "");
SYMBOL_CRC(drm_client_init, 0x3d43c399, "");
SYMBOL_CRC(drm_client_register, 0x90e93068, "");
SYMBOL_CRC(drm_client_release, 0xfb14db1d, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x44a20538, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x26a142bc, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x4f0bf0e9, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x9d21a4c9, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x0f1e9e86, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xcf382704, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xc80b0280, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xed716d1f, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x2971c8c6, "");
SYMBOL_CRC(drm_client_dev_suspend, 0x16ced318, "");
SYMBOL_CRC(drm_client_dev_resume, 0x368c1323, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x98f8b933, "");
SYMBOL_CRC(drm_client_rotation, 0xedb14fa6, "");
SYMBOL_CRC(drm_client_modeset_check, 0x98123c81, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xe0891298, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x65955a1b, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x5b4c9090, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_panel_init, 0xa5ecfd9c, "");
SYMBOL_CRC(drm_panel_add, 0x78e74196, "");
SYMBOL_CRC(drm_panel_remove, 0x9eb6c905, "");
SYMBOL_CRC(drm_panel_prepare, 0x4145aea1, "");
SYMBOL_CRC(drm_panel_unprepare, 0xfe7c4b9a, "");
SYMBOL_CRC(drm_panel_enable, 0x18b1205d, "");
SYMBOL_CRC(drm_panel_disable, 0x617be7b9, "");
SYMBOL_CRC(drm_panel_get_modes, 0x47dc4e1c, "");
SYMBOL_CRC(of_drm_find_panel, 0x6ef1a925, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0x1773c050, "");
SYMBOL_CRC(drm_is_panel_follower, 0xd184283d, "");
SYMBOL_CRC(drm_panel_add_follower, 0x6c28c197, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x5887285e, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x95ef1992, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xc0b2b749, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0xc0d08312, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0x001c70ee, "");
SYMBOL_CRC(drm_of_component_match_add, 0xa29550c5, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0xc2c8fdf6, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0x298ab45d, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0x7e7f7a47, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0xfa16d839, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order_sink, 0xf4f9d0de, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x7f9159bb, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0x9945a81f, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0x94b8f6de, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0x99bba986, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x3bad6360, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xf31494c8, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xfad0341b, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x55dc8e6b, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xd762b58a, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x393f9ffb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6a9e34, "ida_alloc_range" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x9e5f4523, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x79d2a131, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe45a3d44, "alloc_anon_inode" },
	{ 0x334308c0, "show_class_attr_string" },
	{ 0x1aab8f8, "kthread_cancel_work_sync" },
	{ 0x2b378985, "is_acpi_device_node" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x66bcfbeb, "kthread_flush_work" },
	{ 0xbd127d06, "bpf_trace_run4" },
	{ 0x804532e2, "ida_destroy" },
	{ 0x6b771afe, "idr_find" },
	{ 0x3c1fe665, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0xb3a02040, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x83f5e207, "shmem_read_folio_gfp" },
	{ 0xefa54951, "__folio_batch_release" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9cca53b, "component_master_add_with_match" },
	{ 0x8abd045a, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfcaf28dd, "trace_raw_output_prep" },
	{ 0x2ce50f8, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1289af83, "dma_resv_wait_timeout" },
	{ 0xf845d666, "device_unregister" },
	{ 0xcb044c98, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x671bbc88, "__trace_trigger_soft_disabled" },
	{ 0xb2830913, "kthread_flush_worker" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa47f3e8b, "request_firmware" },
	{ 0x464639b5, "class_destroy" },
	{ 0x2cd7c870, "trace_event_printf" },
	{ 0x6369d22c, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x5f81432b, "idr_replace" },
	{ 0xf0bb13e9, "ww_mutex_unlock" },
	{ 0x3655bf5a, "device_initialize" },
	{ 0x3fb698ba, "__kmalloc_node_track_caller_noprof" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x144a5255, "fd_install" },
	{ 0x43695c15, "dma_fence_chain_ops" },
	{ 0xfddfbdd1, "of_graph_parse_endpoint" },
	{ 0x8681c9a8, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xff643328, "component_del" },
	{ 0x53bfee9a, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c97c9a8, "iput" },
	{ 0x91913dde, "seq_lseek" },
	{ 0x5cc4c523, "of_node_get" },
	{ 0xb81ddab2, "of_graph_get_remote_port_parent" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0xd46f0d3a, "of_graph_get_remote_port" },
	{ 0x94e5c58c, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0xfbe1fe0e, "dma_fence_add_callback" },
	{ 0x5da171f5, "synchronize_srcu" },
	{ 0xd3b17c64, "dma_fence_set_deadline" },
	{ 0x2812e2, "get_device" },
	{ 0x1dd6b173, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xa3f7b121, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xed1177eb, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x89040069, "wake_up_process" },
	{ 0x29caaff7, "dev_driver_string" },
	{ 0xa7247f06, "dma_buf_map_attachment_unlocked" },
	{ 0xb842fe53, "trace_event_buffer_commit" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xa04844b7, "ww_mutex_trylock" },
	{ 0xfb43d17c, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x54642495, "devm_of_find_backlight" },
	{ 0x70865e9, "of_get_next_child" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2dbc6102, "dma_max_mapping_size" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x88d4efb7, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x2856d5dd, "kthread_queue_work" },
	{ 0x7766158a, "idr_get_next" },
	{ 0x1b5372ee, "dma_fence_remove_callback" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0x660fac43, "_dev_info" },
	{ 0x9dbfc647, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x585d32df, "atomic_dec_and_mutex_lock" },
	{ 0x1f091bfb, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7b8374db, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1a70fe71, "idr_remove" },
	{ 0x405c515f, "dmem_cgroup_unregister_region" },
	{ 0x90049432, "dma_fence_chain_walk" },
	{ 0x9c408093, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd1fc7324, "__task_pid_nr_ns" },
	{ 0x6b4ad48b, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x5f7f724b, "__xa_alloc" },
	{ 0x12c15b0f, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x512b8c31, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x7573436a, "perf_trace_run_bpf_submit" },
	{ 0x8835101, "fput" },
	{ 0x347e605a, "down_write" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x4f0c8045, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x20ea2b87, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xe6e08ab6, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1a8ace99, "__of_parse_phandle_with_args" },
	{ 0x5a1dfd4, "sysfs_remove_link" },
	{ 0xdfbd037b, "idr_alloc" },
	{ 0x918b699b, "pid_task" },
	{ 0x5580ce74, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x6e9b847c, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf3935629, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdf4dbd7e, "xa_load" },
	{ 0xf4566866, "noop_llseek" },
	{ 0x49569591, "dma_fence_signal" },
	{ 0x361e26f2, "folio_mark_accessed" },
	{ 0x6e18d6be, "dma_resv_fini" },
	{ 0xe21f602, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x7b010e92, "dma_buf_get" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b8c539d, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x224c0e3f, "ww_mutex_lock" },
	{ 0xb766637, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x25b4a864, "of_property_count_elems_of_size" },
	{ 0xaadd334d, "dma_buf_put" },
	{ 0x7393ed14, "ida_free" },
	{ 0x59e6a96, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1fb41165, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x25ad2ada, "of_graph_get_next_endpoint" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xd7ec7579, "of_device_is_available" },
	{ 0xba39e007, "dma_fence_init" },
	{ 0x4a132d71, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x87451989, "of_graph_get_remote_node" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdf14a63f, "device_register" },
	{ 0xe4f5554f, "device_del" },
	{ 0x7d62ae02, "idr_destroy" },
	{ 0x5fb5adfc, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x2f6e8de5, "unregister_acpi_bus_type" },
	{ 0xeca48d2, "prot_ns_shared" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe41d3d78, "kthread_create_worker_on_node" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xed93797f, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa16b265, "component_release_of" },
	{ 0x6b118b04, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3477fb23, "xa_erase" },
	{ 0x9dd346b5, "check_move_unevictable_folios" },
	{ 0x4242166b, "bpf_trace_run3" },
	{ 0x276bd168, "seq_read" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xf088999b, "idr_for_each" },
	{ 0xf665f01d, "rt_read_lock" },
	{ 0x7230beea, "fdget" },
	{ 0x2e8be663, "trace_event_buffer_reserve" },
	{ 0xa8e66e27, "of_find_mipi_dsi_host_by_node" },
	{ 0xda06672d, "dma_map_sgtable" },
	{ 0x253e8caa, "kthread_destroy_worker" },
	{ 0x18f8aa88, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x51454e56, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x8506cf7f, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6bc9662e, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xad7b4e63, "seq_write" },
	{ 0x28340998, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xac8b7071, "radix_tree_tagged" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0x8b23efc8, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3b2894b5, "__rt_mutex_init" },
	{ 0xe3a2fed2, "dmem_cgroup_register_region" },
	{ 0xa501f873, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0x53771d4a, "i2c_transfer" },
	{ 0xca950918, "dma_fence_allocate_private_stub" },
	{ 0x7a213296, "dma_buf_detach" },
	{ 0x3c3f3194, "dma_fence_signal_timestamp" },
	{ 0x9d04f34d, "dma_fence_chain_init" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x26f424b4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe901a9e2, "pid_vnr" },
	{ 0xf1c45eb0, "sched_set_fifo" },
	{ 0x9794dcd2, "of_node_name_eq" },
	{ 0xe5ead7be, "simple_release_fs" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0xdc9cd327, "dma_unmap_sg_attrs" },
	{ 0xf564f14c, "__seq_puts" },
	{ 0x8f99327b, "kill_anon_super" },
	{ 0x8f28a53a, "from_kuid_munged" },
	{ 0xa20b91f, "__devm_add_action" },
	{ 0x80b780c1, "component_add" },
	{ 0x8122cec2, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3d499cdc, "shmem_file_setup_with_mnt" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xc58a3650, "dma_fence_chain_find_seqno" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x782bec8f, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x16507f27, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x5e5d6d40, "sync_file_get_fence" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x4ecd8eac, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xb3b6955d, "__dev_fwnode" },
	{ 0xd8707a27, "pci_bus_type" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x80c6fff9, "class_remove_file_ns" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x56f8fe44, "simple_pin_fs" },
	{ 0x1fdafdac, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "DDB3B959F2D162BAFB3A66C");
MODULE_INFO(rhelversion, "10.1");
