#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_kunit_helper_alloc_device, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_free_device, "_gpl", "");
KSYMTAB_FUNC(__drm_kunit_helper_alloc_drm_device_with_driver, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_atomic_state_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_primary_plane, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_crtc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_add_mode_destroy_action, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_display_mode_from_cea_vic, "_gpl", "");

SYMBOL_CRC(drm_kunit_helper_alloc_device, 0xb7a43a73, "_gpl");
SYMBOL_CRC(drm_kunit_helper_free_device, 0x7aff5219, "_gpl");
SYMBOL_CRC(__drm_kunit_helper_alloc_drm_device_with_driver, 0x519b4235, "_gpl");
SYMBOL_CRC(drm_kunit_helper_atomic_state_alloc, 0xc5f117a8, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_primary_plane, 0x0cb5bf29, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_crtc, 0x13e6a026, "_gpl");
SYMBOL_CRC(drm_kunit_add_mode_destroy_action, 0x7a238e5a, "_gpl");
SYMBOL_CRC(drm_kunit_display_mode_from_cea_vic, 0x5a30baa1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdf8ba2b, "kunit_device_register" },
	{ 0xc23a2c02, "kunit_device_unregister" },
	{ 0x348d1140, "__devm_drm_dev_alloc" },
	{ 0x419e7484, "drmm_mode_config_init" },
	{ 0xf426bcd0, "drm_atomic_state_alloc" },
	{ 0x906b2989, "kunit_add_action_or_reset" },
	{ 0x434364b4, "__drmm_universal_plane_alloc" },
	{ 0xeb4257b2, "kunit_ptr_not_err_assert_format" },
	{ 0x14e18521, "__kunit_do_failed_assertion" },
	{ 0xd65d4398, "__kunit_abort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e66f2ea, "drmm_kmalloc" },
	{ 0x4a4a77b4, "drmm_crtc_init_with_planes" },
	{ 0x6c709ee, "kunit_binary_ptr_assert_format" },
	{ 0x8cbee3db, "kunit_binary_assert_format" },
	{ 0x28d5ea05, "drm_mode_destroy" },
	{ 0x1a5d66fa, "drm_display_mode_from_cea_vic" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc620490, "drm_atomic_helper_check" },
	{ 0xf3521e38, "drm_atomic_helper_commit" },
	{ 0xa5e8ff5f, "drm_atomic_helper_plane_reset" },
	{ 0xee01fc90, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xd4a417b, "drm_atomic_helper_plane_destroy_state" },
	{ 0x80c6aaa7, "drm_atomic_helper_crtc_reset" },
	{ 0xc427e674, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb2719565, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "kunit,drm,drm_kms_helper");


MODULE_INFO(srcversion, "5EBE44F91F81480CC8A3820");
MODULE_INFO(rhelversion, "10.1");
