#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_create, "", "");
KSYMTAB_FUNC(ttm_tt_destroy, "", "");
KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_swapin, "", "");
KSYMTAB_FUNC(ttm_tt_restore, "", "");
KSYMTAB_FUNC(ttm_tt_swapout, "", "");
KSYMTAB_FUNC(ttm_tt_unpopulate, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_tt_setup_backup, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_lru_walk_for_evict, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_fini, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_init, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_next, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_first, "", "");
KSYMTAB_FUNC(ttm_bo_shrink, "", "");
KSYMTAB_FUNC(ttm_bo_shrink_suitable, "", "");
KSYMTAB_FUNC(ttm_bo_shrink_avoid_wait, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_access, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_alloc, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_backup_bytes_avail, "_gpl", "");

SYMBOL_CRC(ttm_tt_create, 0xd089eab2, "");
SYMBOL_CRC(ttm_tt_destroy, 0xb8c18d02, "");
SYMBOL_CRC(ttm_tt_init, 0x5753bd9a, "");
SYMBOL_CRC(ttm_tt_fini, 0xed82b2e6, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x3ae74d37, "");
SYMBOL_CRC(ttm_tt_swapin, 0xf45828ec, "");
SYMBOL_CRC(ttm_tt_restore, 0x3fb81507, "");
SYMBOL_CRC(ttm_tt_swapout, 0x3f85481e, "");
SYMBOL_CRC(ttm_tt_unpopulate, 0x6efa97db, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0xb5a1e4d8, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_tt_setup_backup, 0xdb520bad, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x17931eb3, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0xf5346c4a, "");
SYMBOL_CRC(ttm_bo_put, 0xc0f4cd69, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0xfe9e2e78, "");
SYMBOL_CRC(ttm_bo_pin, 0x98e80159, "");
SYMBOL_CRC(ttm_bo_unpin, 0x387f94d0, "");
SYMBOL_CRC(ttm_bo_mem_space, 0xa15321bb, "");
SYMBOL_CRC(ttm_bo_validate, 0xd9b7c321, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0xea936514, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x0ee13f69, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x634251cd, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x5937600d, "");
SYMBOL_CRC(ttm_bo_populate, 0x2150f141, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0xa3d4103b, "");
SYMBOL_CRC(ttm_io_prot, 0x4e2a82f1, "");
SYMBOL_CRC(ttm_bo_kmap, 0x36b1e87a, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x6c7757f0, "");
SYMBOL_CRC(ttm_bo_vmap, 0x48d14f80, "");
SYMBOL_CRC(ttm_bo_vunmap, 0xf4e89acb, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x73d753d0, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0x9975c075, "");
SYMBOL_CRC(ttm_lru_walk_for_evict, 0xee72da57, "");
SYMBOL_CRC(ttm_bo_lru_cursor_fini, 0xa6cfe9f9, "");
SYMBOL_CRC(ttm_bo_lru_cursor_init, 0x92524658, "");
SYMBOL_CRC(ttm_bo_lru_cursor_next, 0xcb5b7b43, "");
SYMBOL_CRC(ttm_bo_lru_cursor_first, 0x9d5485a7, "");
SYMBOL_CRC(ttm_bo_shrink, 0xc1415fa4, "");
SYMBOL_CRC(ttm_bo_shrink_suitable, 0x913de820, "");
SYMBOL_CRC(ttm_bo_shrink_avoid_wait, 0x8832bf37, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x5d6c2a45, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x96a49368, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0xb8dce264, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x35a5d07f, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x985f1cc6, "");
SYMBOL_CRC(ttm_bo_vm_close, 0xce1bc863, "");
SYMBOL_CRC(ttm_bo_access, 0xadf6d25b, "");
SYMBOL_CRC(ttm_bo_vm_access, 0xd55fa9a5, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0xc2354e46, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0xad099d82, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0xe384e94b, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x87583019, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0xafc6d212, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0xada4e24d, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x01c39c79, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x0b215515, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x3d4b6968, "");
SYMBOL_CRC(ttm_resource_init, 0x184fe29d, "");
SYMBOL_CRC(ttm_resource_fini, 0x6f99bac3, "");
SYMBOL_CRC(ttm_resource_alloc, 0x36ed19c7, "");
SYMBOL_CRC(ttm_resource_free, 0x8180e55c, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x529a4a76, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x8fa87a33, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x60765160, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x33aae183, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x0c231474, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x278d7ca5, "");
SYMBOL_CRC(ttm_pool_alloc, 0x800f758a, "");
SYMBOL_CRC(ttm_pool_free, 0xab2d2616, "");
SYMBOL_CRC(ttm_pool_init, 0xd7610e71, "");
SYMBOL_CRC(ttm_pool_fini, 0x73c54e27, "");
SYMBOL_CRC(ttm_pool_debugfs, 0x5644fc4f, "");
SYMBOL_CRC(ttm_glob, 0xa7bdef7c, "");
SYMBOL_CRC(ttm_device_swapout, 0xbe267f50, "");
SYMBOL_CRC(ttm_device_init, 0xe57fdfe5, "");
SYMBOL_CRC(ttm_device_fini, 0x874268fc, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x22e4577b, "");
SYMBOL_CRC(ttm_backup_bytes_avail, 0xba5188c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xeb06ec06, "shrinker_alloc" },
	{ 0x79d2a131, "ww_mutex_lock_interruptible" },
	{ 0xac82fb54, "drm_dev_enter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c1fe665, "param_ops_ulong" },
	{ 0xbceb10d7, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x83f5e207, "shmem_read_folio_gfp" },
	{ 0x241bf4a6, "folio_unlock" },
	{ 0x88edf29e, "vmalloc_to_page" },
	{ 0x2ce50f8, "dma_resv_init" },
	{ 0x1289af83, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0xc4753ab4, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0xf0bb13e9, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x3731bbec, "debugfs_create_atomic_t" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x53bfee9a, "unmap_mapping_range" },
	{ 0xf90db35d, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x91913dde, "seq_lseek" },
	{ 0xd055b368, "dmem_cgroup_try_charge" },
	{ 0xed4bd7e2, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0xb650f5fe, "folio_clear_dirty_for_io" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x3fb7aa8f, "node_states" },
	{ 0xddae1e9a, "dma_fence_wait_timeout" },
	{ 0x9c78fe42, "dmem_cgroup_state_evict_valuable" },
	{ 0x68fb59ea, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x7b2d498c, "dma_map_page_attrs" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x114d3046, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0xa04844b7, "ww_mutex_trylock" },
	{ 0x2f1a4d5f, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe2204092, "shrinker_register" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b02a547, "__free_pages" },
	{ 0x660fac43, "_dev_info" },
	{ 0x9dbfc647, "folio_mark_dirty" },
	{ 0xc347a559, "split_page" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe22ac3f9, "mark_page_accessed" },
	{ 0x12c15b0f, "shmem_file_setup" },
	{ 0xe0411baf, "copy_highpage" },
	{ 0x8835101, "fput" },
	{ 0x347e605a, "down_write" },
	{ 0x4f0c8045, "up_write" },
	{ 0x95346e71, "dmem_cgroup_pool_state_put" },
	{ 0x49569591, "dma_fence_signal" },
	{ 0x361e26f2, "folio_mark_accessed" },
	{ 0x6e18d6be, "dma_resv_fini" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xe247f50c, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0x4b8c539d, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x224c0e3f, "ww_mutex_lock" },
	{ 0x82f1ac34, "shmem_read_mapping_page_gfp" },
	{ 0xea11df6a, "vmap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x18b48e28, "__memset_io" },
	{ 0x50cfd028, "__put_devmap_managed_folio_refs" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x84c16e0b, "vmf_insert_pfn_prot" },
	{ 0xdcb764ad, "memset" },
	{ 0xeca48d2, "prot_ns_shared" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xcdd5fe29, "down_read" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x3809baee, "dma_resv_copy_fences" },
	{ 0x96b994a4, "set_page_dirty" },
	{ 0x1bfdf5cc, "dmem_cgroup_uncharge" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x276bd168, "seq_read" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x47fcd685, "shmem_truncate_range" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x3d6053b7, "dma_fence_enable_sw_signaling" },
	{ 0xc871dfe, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x130e7bfd, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xad7b4e63, "seq_write" },
	{ 0xffe8d799, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0x5e8049a6, "__mmap_lock_do_trace_released" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0xa0d3456d, "nr_swap_pages" },
	{ 0xefbcadce, "dma_resv_iter_first_unlocked" },
	{ 0xebeb17c7, "alloc_pages_noprof" },
	{ 0x25010aab, "__folio_lock" },
	{ 0x26f424b4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8122cec2, "dma_resv_test_signaled" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x16507f27, "single_open" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe1e4fe3, "up_read" },
	{ 0x1f3f5a27, "drm_vma_offset_remove" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "4042370C45A2B9A67C253EA");
MODULE_INFO(rhelversion, "10.1");
