#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x54480e53, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x0caca320, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0xd9e32a8b, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x28510727, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0xe8b1d353, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x5d2cac4f, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xa4f4b7d5, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0xd11e8840, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x5ca0646d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xdcb764ad, "memset" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x2cd7b18, "hid_hw_request" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x7165f313, "hid_hw_open" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x7a6488d2, "hid_hw_close" },
	{ 0x75de2fda, "__hid_register_driver" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x69a08bf7, "hid_hw_stop" },
	{ 0x64ad973c, "mfd_remove_devices" },
	{ 0xb2efeecf, "hid_unregister_driver" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x40aad955, "hid_open_report" },
	{ 0x5702e2e2, "hid_hw_start" },
	{ 0x8009f799, "devm_kasprintf" },
	{ 0x3f53041a, "mfd_add_devices" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa116b9ee, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "6702CD436DCFA3D73F179BF");
MODULE_INFO(rhelversion, "10.1");
