#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x4abeac51, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xcd406302, "_gpl");
SYMBOL_CRC(stm_data_write, 0x7bf1ca3c, "_gpl");
SYMBOL_CRC(stm_register_device, 0xfdd52366, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x836ee666, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x61707e3d, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xcb2b0b84, "_gpl");
SYMBOL_CRC(stm_source_write, 0x691c49b0, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x45bdb57c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x155c91c5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd7c1d231, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf845d666, "device_unregister" },
	{ 0x83549dd7, "pm_runtime_set_autosuspend_delay" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x109fcf7f, "vm_iomap_memory" },
	{ 0x85e3062b, "config_item_get" },
	{ 0x3655bf5a, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x5da171f5, "synchronize_srcu" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xaf49598f, "configfs_unregister_subsystem" },
	{ 0x3d3c70d3, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f984513, "strrchr" },
	{ 0x1f091bfb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5fc91118, "init_srcu_struct" },
	{ 0x347e605a, "down_write" },
	{ 0x4f0c8045, "up_write" },
	{ 0xda7918f, "configfs_register_subsystem" },
	{ 0xe6e08ab6, "device_add" },
	{ 0x5580ce74, "__srcu_read_lock" },
	{ 0x77e31466, "config_group_init_type_name" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x125e1b66, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3ce7ecdc, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x6362ca7a, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x446a0c98, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xd406b691, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xbe9b2b71, "config_item_put" },
	{ 0x6bc9662e, "__register_chrdev" },
	{ 0xa5beffb4, "kobject_set_name" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xa9dd76d5, "device_match_name" },
	{ 0xa501f873, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x80f20a28, "__pm_runtime_suspend" },
	{ 0x3f5ab44a, "__pm_runtime_use_autosuspend" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x7424dce3, "class_register" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x3dadf1d1, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");
MODULE_INFO(rhelversion, "10.1");
