#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_DATA(i3c_bus_type, "_gpl", "");
KSYMTAB_FUNC(i3c_for_each_bus_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_register_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xbe02ae8b, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x57eeaaf5, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x63e1503a, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x6b790e6b, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x60cf09ca, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x14d810b2, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0x758d5f70, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xc3a4d739, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x9db14372, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xaf022045, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x1cdd0a9b, "_gpl");
SYMBOL_CRC(i3c_bus_type, 0x2f307283, "_gpl");
SYMBOL_CRC(i3c_for_each_bus_locked, 0x90d381aa, "_gpl");
SYMBOL_CRC(i3c_register_notifier, 0xaa91f3f5, "_gpl");
SYMBOL_CRC(i3c_unregister_notifier, 0x2305c897, "_gpl");
SYMBOL_CRC(i3c_master_enable_hotjoin, 0x1b5fc037, "_gpl");
SYMBOL_CRC(i3c_master_disable_hotjoin, 0x55e69f91, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x7c2988e9, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xe633c2b2, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0xe6dac7de, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x5965dec3, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x77a31bf7, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xbc34ee80, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xc478cd07, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xfb66c9fc, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x813b6a4f, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x2156a87c, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x044eee47, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x2ae3ba9e, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x0a31157d, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xdc5944e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x8396be41, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2e00bfc4, "bus_unregister_notifier" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0xb3a02040, "of_property_read_variable_u32_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73cc2ba9, "i2c_client_type" },
	{ 0xf845d666, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x3655bf5a, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x5cc4c523, "of_node_get" },
	{ 0xdca2662e, "of_get_next_available_child" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x3402411e, "blocking_notifier_chain_register" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb73d4cf, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xf05fc9c6, "bus_register_notifier" },
	{ 0x7766158a, "idr_get_next" },
	{ 0x689bf0a6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1a70fe71, "idr_remove" },
	{ 0x79cd157e, "bus_unregister" },
	{ 0x347e605a, "down_write" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x4f0c8045, "up_write" },
	{ 0xe6e08ab6, "device_add" },
	{ 0xdfbd037b, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x659237d9, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf3e1ab6e, "i2c_new_client_device" },
	{ 0x2f1514a0, "i2c_bus_type" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0xdf14a63f, "device_register" },
	{ 0xe4f5554f, "device_del" },
	{ 0x7d62ae02, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x6362ca7a, "pm_runtime_no_callbacks" },
	{ 0xcdd5fe29, "down_read" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x6f2c662c, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e86803e, "blocking_notifier_chain_unregister" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xef591638, "of_alias_get_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x399b8535, "of_i2c_get_board_info" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0xe1e4fe3, "up_read" },
	{ 0xfbf9439f, "driver_register" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x51243ad9, "bus_register" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2611CFB94FF4BE4EA196F41");
MODULE_INFO(rhelversion, "10.1");
