#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0xefc1b98c, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x05d7e5f1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ae3ba9e, "i3c_generic_ibi_recycle_slot" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x2156a87c, "i3c_generic_ibi_alloc_pool" },
	{ 0xbc34ee80, "i3c_master_do_daa" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdc5944e4, "i3c_master_unregister" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0x3d3c70d3, "__pm_runtime_set_status" },
	{ 0x3f5ab44a, "__pm_runtime_use_autosuspend" },
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x44eee47, "i3c_generic_ibi_get_free_slot" },
	{ 0x813b6a4f, "i3c_master_queue_ibi" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x80f20a28, "__pm_runtime_suspend" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xec6b5971, "pinctrl_pm_select_sleep_state" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x82cb4b1c, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe6dac7de, "i3c_master_disec_locked" },
	{ 0x5965dec3, "i3c_master_enec_locked" },
	{ 0x1087082, "devm_platform_ioremap_resource" },
	{ 0x5f4d1537, "devm_clk_get_enabled" },
	{ 0xc122f3f6, "devm_clk_get_optional_enabled" },
	{ 0xa8ab43e0, "__devm_reset_control_get" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x40d5023, "platform_get_irq" },
	{ 0xbe7a3284, "devm_request_threaded_irq" },
	{ 0x83549dd7, "pm_runtime_set_autosuspend_delay" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0xa31157d, "i3c_master_register" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7c2988e9, "i3c_master_get_free_addr" },
	{ 0xfb66c9fc, "i3c_master_add_i3c_dev_locked" },
	{ 0xa6257a2f, "complete" },
	{ 0x660fac43, "_dev_info" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xc478cd07, "i3c_master_set_info" },
	{ 0xb25e1f30, "pm_runtime_force_suspend" },
	{ 0x7ad644a0, "pm_runtime_force_resume" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "A0ACCF07EEEB04E09FD1500");
MODULE_INFO(rhelversion, "10.1");
