#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x5d9eb954, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x4c536918, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x8006dc19, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x78e0cacb, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x4e02a229, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x58486f2f, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xb6ee7f71, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0x3a1b24b2, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xf1e8a02f, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0xcd10de45, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x695ad389, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x474ee915, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x50e0cd2b, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x1475da28, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xb821ce26, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x337ded45, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x853348d8, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x7d846868, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x71725a30, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xe8e4ced3, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xe469e3d9, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x41f6be91, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x027f3939, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf23ebee9, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x9e5f4523, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8396be41, "__init_rwsem" },
	{ 0x2e1955f3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdef7338c, "iommu_device_claim_dma_owner" },
	{ 0xb59bac33, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x754e49ff, "iommu_group_get" },
	{ 0x19f7e3, "iommu_iova_to_phys" },
	{ 0x736253f4, "pin_user_pages_remote" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x96e23367, "memfd_pin_folios" },
	{ 0xec898ca3, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xd1dec3c6, "fget" },
	{ 0xadf281a5, "__put_task_struct" },
	{ 0xa85074a9, "__xas_next" },
	{ 0xf238a76c, "xas_find" },
	{ 0x7541f580, "iommu_dev_disable_feature" },
	{ 0x7b93c1e2, "unpin_user_pages" },
	{ 0x144a5255, "fd_install" },
	{ 0xc32e98cb, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a88e0d7, "unpin_user_page_range_dirty_lock" },
	{ 0x38ad0039, "__account_locked_vm" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x2812e2, "get_device" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xa17b263c, "unpin_folios" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x9fe0f885, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xfe821bf6, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xca98efcd, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaef3504b, "iommu_detach_group" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x28a30e1d, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x5f7f724b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x8835101, "fput" },
	{ 0x347e605a, "down_write" },
	{ 0x58d5d9b8, "iommu_domain_free" },
	{ 0x4f0c8045, "up_write" },
	{ 0x1add47df, "iommu_get_msi_cookie" },
	{ 0x288225a4, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x67578031, "iommu_unmap" },
	{ 0xdf4dbd7e, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x92f7c90, "xas_load" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6205020d, "iommu_attach_handle_get" },
	{ 0x2211222d, "iommu_replace_group_handle" },
	{ 0xfa894ec4, "iommu_device_release_dma_owner" },
	{ 0x8441231d, "folio_add_pins" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x70b4f2e8, "misc_register" },
	{ 0xd2bdfda1, "unpin_user_page" },
	{ 0x9c7195bc, "iommu_paging_domain_alloc_flags" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x80a76bfa, "iommu_put_resv_regions" },
	{ 0xcd415355, "_iommufd_object_alloc" },
	{ 0xcdd5fe29, "down_read" },
	{ 0xe9f2e0e3, "__mmdrop" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x5d5fe058, "__xa_cmpxchg" },
	{ 0x446a0c98, "nonseekable_open" },
	{ 0x3477fb23, "xa_erase" },
	{ 0xe79dee34, "__mmap_lock_do_trace_start_locking" },
	{ 0x68a13e8b, "iommu_get_resv_regions" },
	{ 0x53d63247, "pci_pri_supported" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x65a1cbe, "mmput" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x99396ef, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa55f6b53, "xa_destroy" },
	{ 0x8db551ca, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e8049a6, "__mmap_lock_do_trace_released" },
	{ 0x8b23efc8, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x2f1c23d9, "set_page_dirty_lock" },
	{ 0x8be0ec81, "device_iommu_capable" },
	{ 0x4a32f192, "xas_nomem" },
	{ 0xd130dba, "iommu_map" },
	{ 0x62efca88, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc633bfcb, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0xbf20b476, "iommu_attach_group_handle" },
	{ 0x13ecab86, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x1aae5d98, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xe1e4fe3, "up_read" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xd8707a27, "pci_bus_type" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6BBAF30833ACE1C1AEA08F9");
MODULE_INFO(rhelversion, "10.1");
