#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spi_nor_scan, "_gpl", "");

SYMBOL_CRC(spi_nor_scan, 0xff90a765, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75d01869, "spi_mem_driver_register_with_owner" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x8376a030, "spi_mem_dirmap_read" },
	{ 0x216127b5, "mtd_device_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe73e0d7a, "spi_mem_exec_op" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x508ee143, "gpiod_set_value_cansleep" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91913dde, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0xc3fa88fd, "devm_gpiod_get_optional" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0xbff957df, "mtd_device_parse_register" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f091bfb, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c8629f1, "devm_kmemdup" },
	{ 0x3849246e, "devm_kfree" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0x4b8c539d, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x59e6a96, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1fb41165, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb63fbe6, "spi_mem_dirmap_write" },
	{ 0xae5e860c, "spi_mem_driver_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x276bd168, "seq_read" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xa99af34a, "spi_mem_get_name" },
	{ 0xe000e4c1, "devm_spi_mem_dirmap_create" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xad7b4e63, "seq_write" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0x7b7f4322, "spi_mem_adjust_op_size" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0x399cf3b4, "devm_krealloc" },
	{ 0x26f424b4, "single_release" },
	{ 0x57e53bb1, "spi_mem_supports_op" },
	{ 0xf564f14c, "__seq_puts" },
	{ 0xa20b91f, "__devm_add_action" },
	{ 0x16507f27, "single_open" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("spi:spi-nor");
MODULE_ALIAS("spi:s25sl064a");
MODULE_ALIAS("spi:w25x16");
MODULE_ALIAS("spi:m25p10");
MODULE_ALIAS("spi:m25px64");
MODULE_ALIAS("spi:at25df321a");
MODULE_ALIAS("spi:at25df641");
MODULE_ALIAS("spi:at26df081a");
MODULE_ALIAS("spi:mx25l4005a");
MODULE_ALIAS("spi:mx25l1606e");
MODULE_ALIAS("spi:mx25l6405d");
MODULE_ALIAS("spi:mx25l12805d");
MODULE_ALIAS("spi:mx25l25635e");
MODULE_ALIAS("spi:mx66l51235l");
MODULE_ALIAS("spi:n25q064");
MODULE_ALIAS("spi:n25q128a11");
MODULE_ALIAS("spi:n25q128a13");
MODULE_ALIAS("spi:n25q512a");
MODULE_ALIAS("spi:s25fl256s1");
MODULE_ALIAS("spi:s25fl512s");
MODULE_ALIAS("spi:s25sl12801");
MODULE_ALIAS("spi:s25fl008k");
MODULE_ALIAS("spi:s25fl064k");
MODULE_ALIAS("spi:sst25vf040b");
MODULE_ALIAS("spi:sst25vf016b");
MODULE_ALIAS("spi:sst25vf032b");
MODULE_ALIAS("spi:sst25wf040");
MODULE_ALIAS("spi:m25p40");
MODULE_ALIAS("spi:m25p80");
MODULE_ALIAS("spi:m25p16");
MODULE_ALIAS("spi:m25p32");
MODULE_ALIAS("spi:m25p64");
MODULE_ALIAS("spi:m25p128");
MODULE_ALIAS("spi:w25x80");
MODULE_ALIAS("spi:w25x32");
MODULE_ALIAS("spi:w25q32");
MODULE_ALIAS("spi:w25q32dw");
MODULE_ALIAS("spi:w25q80bl");
MODULE_ALIAS("spi:w25q128");
MODULE_ALIAS("spi:w25q256");
MODULE_ALIAS("spi:m25p05-nonjedec");
MODULE_ALIAS("spi:m25p10-nonjedec");
MODULE_ALIAS("spi:m25p20-nonjedec");
MODULE_ALIAS("spi:m25p40-nonjedec");
MODULE_ALIAS("spi:m25p80-nonjedec");
MODULE_ALIAS("spi:m25p16-nonjedec");
MODULE_ALIAS("spi:m25p32-nonjedec");
MODULE_ALIAS("spi:m25p64-nonjedec");
MODULE_ALIAS("spi:m25p128-nonjedec");
MODULE_ALIAS("spi:mr25h128");
MODULE_ALIAS("spi:mr25h256");
MODULE_ALIAS("spi:mr25h10");
MODULE_ALIAS("spi:mr25h40");
MODULE_ALIAS("of:N*T*Cjedec,spi-nor");
MODULE_ALIAS("of:N*T*Cjedec,spi-norC*");

MODULE_INFO(srcversion, "2096472BCABA17D24D3B94A");
MODULE_INFO(rhelversion, "10.1");
