#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x045825b7, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x09be8eff, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xdad640fb, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xd0e3679c, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x262a49de, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x79c1f43a, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xc302a8da, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x9c89a413, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0xfea20da6, "_gpl");
SYMBOL_CRC(can_change_state, 0x7c5b0ffd, "_gpl");
SYMBOL_CRC(can_bus_off, 0xc28d0db4, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x39d38b94, "_gpl");
SYMBOL_CRC(free_candev, 0x64375be3, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xe4436eb5, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x9f38aa48, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xd8c4e0e5, "");
SYMBOL_CRC(open_candev, 0xab730695, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xe9c5cdbf, "_gpl");
SYMBOL_CRC(close_candev, 0x7a2e954f, "_gpl");
SYMBOL_CRC(register_candev, 0x70d48acf, "_gpl");
SYMBOL_CRC(unregister_candev, 0x99e20a12, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x56fdddbe, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x26ada1f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0x9f4cbd10, "gpiod_set_value" },
	{ 0x4d79771f, "skb_tstamp_tx" },
	{ 0xb3a02040, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe3442b88, "unregister_netdev" },
	{ 0x5f02dbe, "rtnl_link_register" },
	{ 0xf35b1995, "netdev_warn" },
	{ 0xc3fa88fd, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8e9d8e2f, "netdev_err" },
	{ 0xbf9aee35, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xdbba4da7, "device_property_read_u32_array" },
	{ 0x722a690b, "of_get_child_by_name" },
	{ 0xe7c0c1dd, "rtnl_link_unregister" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0x10b53c90, "register_netdev" },
	{ 0xed3a0d7d, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4889746, "sock_efree" },
	{ 0xc846f36e, "netif_rx" },
	{ 0x17820586, "__netdev_alloc_skb" },
	{ 0x3f1621ff, "skb_trim" },
	{ 0x52230c32, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2352d3f9, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbae905c6, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x39449f12, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0xd1c24461, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa80f2e4e, "skb_clone_tx_timestamp" },
	{ 0x13d420f8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC4837BD515AA6A2D80CBA0");
MODULE_INFO(rhelversion, "10.1");
