#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(am65_cpts_ns_gettime, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_estf_enable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_estf_disable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_rx_timestamp, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_tx_timestamp, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_prep_tx_timestamp, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_phc_index, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_release, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_create, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_suspend, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_resume, "_gpl", "");

SYMBOL_CRC(am65_cpts_ns_gettime, 0x405b51c2, "_gpl");
SYMBOL_CRC(am65_cpts_estf_enable, 0xbfc83e4d, "_gpl");
SYMBOL_CRC(am65_cpts_estf_disable, 0xb60b988a, "_gpl");
SYMBOL_CRC(am65_cpts_rx_timestamp, 0xe2fa43b2, "_gpl");
SYMBOL_CRC(am65_cpts_tx_timestamp, 0x06841a40, "_gpl");
SYMBOL_CRC(am65_cpts_prep_tx_timestamp, 0x415118cc, "_gpl");
SYMBOL_CRC(am65_cpts_phc_index, 0xfca9b9d9, "_gpl");
SYMBOL_CRC(am65_cpts_release, 0x6ab9a4a1, "_gpl");
SYMBOL_CRC(am65_cpts_create, 0xd8c73779, "_gpl");
SYMBOL_CRC(am65_cpts_suspend, 0x828c824a, "_gpl");
SYMBOL_CRC(am65_cpts_resume, 0xe0cbdf78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8eb28529, "ptp_classify_raw" },
	{ 0xf968d231, "ptp_parse_header" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x4d79771f, "skb_tstamp_tx" },
	{ 0xd1c24461, "dev_kfree_skb_any_reason" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x70a5fde6, "of_clk_del_provider" },
	{ 0x5f1b0de4, "clk_hw_unregister_mux" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb528543e, "skb_queue_tail" },
	{ 0x1432b67, "ptp_schedule_worker" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x722a690b, "of_get_child_by_name" },
	{ 0xe252b19b, "of_clk_get_parent_count" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x75540f2c, "of_clk_parent_fill" },
	{ 0x8009f799, "devm_kasprintf" },
	{ 0x153cd063, "__clk_hw_register_mux" },
	{ 0xda333169, "of_clk_hw_simple_get" },
	{ 0xb88bd8f3, "of_clk_add_hw_provider" },
	{ 0xa20b91f, "__devm_add_action" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x45533ba7, "ptp_clock_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xa77d5641, "ptp_clock_event" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe2a927a3, "of_irq_get_byname" },
	{ 0xb3a02040, "of_property_read_variable_u32_array" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x73693a56, "devm_get_clk_from_child" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa02fd864, "ptp_clock_register" },
	{ 0xc551909a, "ptp_clock_index" },
	{ 0xbe7a3284, "devm_request_threaded_irq" },
	{ 0x660fac43, "_dev_info" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0x98cd9ef2, "devm_platform_ioremap_resource_byname" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("of:N*T*Cti,am65-cpts");
MODULE_ALIAS("of:N*T*Cti,am65-cptsC*");
MODULE_ALIAS("of:N*T*Cti,j721e-cpts");
MODULE_ALIAS("of:N*T*Cti,j721e-cptsC*");

MODULE_INFO(srcversion, "9E178AC53935D350E465F43");
MODULE_INFO(rhelversion, "10.1");
