#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xd34fc3e1, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x7fe364d9, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xf613a3e4, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xa70d48b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe129e53e, "ether_setup" },
	{ 0xbdfe9b68, "__ethtool_get_link_ksettings" },
	{ 0xd39bb736, "ethtool_get_ts_info_by_layer" },
	{ 0x14325614, "init_net" },
	{ 0x4bebb7e, "generic_hwtstamp_set_lower" },
	{ 0x4ae202c0, "generic_hwtstamp_get_lower" },
	{ 0x3218a343, "dev_mc_del" },
	{ 0x5f03c17a, "dev_uc_del" },
	{ 0xcb46631a, "dev_mc_add_excl" },
	{ 0x3678df1e, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xbd46b00c, "vlan_vid_del" },
	{ 0xfa966f00, "vlan_vid_add" },
	{ 0xdcb764ad, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73a9bb51, "dev_uc_sync" },
	{ 0xb52f6944, "dev_mc_sync" },
	{ 0x1da5f73a, "dev_set_allmulti" },
	{ 0x94ca3edd, "dev_set_promiscuity" },
	{ 0x36d32627, "dev_uc_unsync" },
	{ 0x69bbb54d, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5f02dbe, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe7c0c1dd, "rtnl_link_unregister" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0x7179f7f1, "netdev_is_rx_handler_busy" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xb51b7616, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa991ee48, "unregister_netdevice_queue" },
	{ 0xf9de760e, "netdev_upper_dev_unlink" },
	{ 0x1bb3f539, "dev_addr_mod" },
	{ 0xb075dacc, "dev_uc_add" },
	{ 0xf6b1e0, "dev_set_mac_address" },
	{ 0xbd5eb44b, "dev_set_mtu" },
	{ 0xc569b8a6, "netif_inherit_tso_max" },
	{ 0xaae93ce7, "netdev_update_features" },
	{ 0xd36ab693, "netif_stacked_transfer_operstate" },
	{ 0x3abbe9a7, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xbae905c6, "skb_clone" },
	{ 0xc846f36e, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8c4959fb, "__dev_forward_skb" },
	{ 0x990180d2, "__dev_queue_xmit" },
	{ 0x48872a6e, "dev_forward_skb" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0x1525a056, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcd76e682, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4bf6c3b4, "register_netdevice" },
	{ 0x93d39180, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x10d1f870, "linkwatch_fire_event" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3670d12e, "__netif_rx" },
	{ 0x34947cbc, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x75e7aec8, "netdev_core_stats_inc" },
	{ 0xe6dd799b, "passthru_features_check" },
	{ 0xc73882a5, "eth_validate_addr" },
	{ 0x64c7b676, "ndo_dflt_fdb_dump" },
	{ 0x17f773a8, "eth_header_parse" },
	{ 0x93d4f3cb, "eth_header_cache" },
	{ 0x68c1f132, "eth_header_cache_update" },
	{ 0x819e6b57, "eth_header_parse_protocol" },
	{ 0x3b982865, "ethtool_op_get_link" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "01F2D5BF5E95FB4A7EDA4A7");
MODULE_INFO(rhelversion, "10.1");
