#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x2e416628, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0xe3c2f670, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41b532bf, "dev_open" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xdbc4097a, "netdev_change_features" },
	{ 0xbd5eb44b, "dev_set_mtu" },
	{ 0xd8707a27, "pci_bus_type" },
	{ 0x475348bc, "vlan_uses_dev" },
	{ 0x8e9d8e2f, "netdev_err" },
	{ 0xbdfe9b68, "__ethtool_get_link_ksettings" },
	{ 0xbd46b00c, "vlan_vid_del" },
	{ 0xfa966f00, "vlan_vid_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x604d7e1f, "dev_uc_sync_multiple" },
	{ 0xee552a21, "dev_mc_sync_multiple" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc0fa0c0e, "dev_get_stats" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x76af8ac, "netdev_pick_tx" },
	{ 0x990180d2, "__dev_queue_xmit" },
	{ 0x75e7aec8, "netdev_core_stats_inc" },
	{ 0xd1c24461, "dev_kfree_skb_any_reason" },
	{ 0x39449f12, "netif_carrier_on" },
	{ 0xd1101c21, "netif_tx_wake_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcf1021b7, "dev_close" },
	{ 0x15f6d61d, "alloc_etherdev_mqs" },
	{ 0x1bb3f539, "dev_addr_mod" },
	{ 0x10b53c90, "register_netdev" },
	{ 0x2352d3f9, "netif_carrier_off" },
	{ 0x3ae1a6e2, "failover_register" },
	{ 0xe3442b88, "unregister_netdev" },
	{ 0xed3a0d7d, "free_netdev" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xabdf5c3a, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa5e7178b, "failover_slave_unregister" },
	{ 0xb2b3b7fb, "failover_unregister" },
	{ 0xa991ee48, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb6f0c6de, "netdev_lower_state_changed" },
	{ 0xd30df1cc, "netif_tx_stop_all_queues" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbb5564f7, "vlan_vids_del_by_dev" },
	{ 0x36d32627, "dev_uc_unsync" },
	{ 0x69bbb54d, "dev_mc_unsync" },
	{ 0x13d420f8, "netdev_info" },
	{ 0xf7b7c47f, "vlan_vids_add_by_dev" },
	{ 0x3abbe9a7, "call_netdevice_notifiers" },
	{ 0xe6dd799b, "passthru_features_check" },
	{ 0xc73882a5, "eth_validate_addr" },
	{ 0x3b982865, "ethtool_op_get_link" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "EF145B682C8728AF9A29084");
MODULE_INFO(rhelversion, "10.1");
