#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0xa3375e8b, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0xf23986ce, "");
SYMBOL_CRC(ath12k_core_resume_early, 0xd6326284, "");
SYMBOL_CRC(ath12k_core_resume, 0x658234f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96e894a6, "ieee80211_beacon_update_cntdwn" },
	{ 0x31e42dbf, "of_graph_get_remote_endpoint" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5689990, "ieee80211_gtk_rekey_notify" },
	{ 0x31258488, "device_set_wakeup_enable" },
	{ 0x8ddea354, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xe08d73c4, "regulatory_set_wiphy_regd_sync" },
	{ 0x715e2b6e, "cfg80211_chandef_dfs_usable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf96c8c8a, "pci_request_region" },
	{ 0xe59268e4, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2b378985, "is_acpi_device_node" },
	{ 0x2ba52fe3, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6b771afe, "idr_find" },
	{ 0x7de170cf, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0xa6512d6c, "pci_enable_device" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xb7241d8b, "firmware_request_nowarn" },
	{ 0xfc1dc484, "mhi_power_down_keep_dev" },
	{ 0xc97036dd, "qmi_handle_init" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0xf769bc8f, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x7e2bfb2c, "pci_alloc_irq_vectors" },
	{ 0xee685126, "netif_napi_add_weight" },
	{ 0x8fdfafe1, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x197dd7d9, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0xb4d6b9be, "wiphy_work_flush" },
	{ 0xbe176d95, "mhi_sync_power_up" },
	{ 0x403e38ae, "mhi_power_down" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x86784c5b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x77985766, "mhi_pm_resume" },
	{ 0xd03bd7e8, "ieee80211_free_hw" },
	{ 0xc4753ab4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x9ed82fb9, "__pci_register_driver" },
	{ 0x75236b0f, "pci_assign_resource" },
	{ 0x4829a47e, "memcpy" },
	{ 0x751f13da, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbeda815, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5d019003, "in6_dev_finish_destroy" },
	{ 0x510afc88, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x746996e, "ieee80211_restart_hw" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa7ba0c0e, "ieee80211_get_hdrlen_from_skb" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x7d15912b, "pci_irq_vector" },
	{ 0x80042eb8, "__netif_napi_del" },
	{ 0xdb8f841, "mhi_register_controller" },
	{ 0x32e7385c, "ieee80211_hw_restart_disconnect" },
	{ 0xe03bad0a, "pci_unregister_driver" },
	{ 0xed1177eb, "of_graph_get_endpoint_by_regs" },
	{ 0xc5836a1e, "pskb_expand_head" },
	{ 0x29caaff7, "dev_driver_string" },
	{ 0xa2be6ade, "ieee80211_tx_status_skb" },
	{ 0x75107b40, "crypto_destroy_tfm" },
	{ 0x25718db5, "pci_read_config_dword" },
	{ 0xfe3d69d8, "ieee80211_find_sta" },
	{ 0x7b2d498c, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x1b74ad19, "panic_notifier_list" },
	{ 0xa2243f54, "qmi_send_request" },
	{ 0x1dbaf191, "napi_complete_done" },
	{ 0xf9fdcbf0, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5b8d0d08, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf969847f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xd635e2e4, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x375949c2, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfb7fe171, "cfg80211_put_bss" },
	{ 0x7766158a, "idr_get_next" },
	{ 0x2642e247, "qmi_txn_wait" },
	{ 0xcdb908f, "mhi_pm_suspend" },
	{ 0x660fac43, "_dev_info" },
	{ 0xb528543e, "skb_queue_tail" },
	{ 0xe6c47b37, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1a70fe71, "idr_remove" },
	{ 0x3c26be9c, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x22b356d1, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x13289503, "crypto_shash_setkey" },
	{ 0x644e22a8, "skb_pull" },
	{ 0xd44007f4, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdcf54818, "qmi_txn_cancel" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0xdfbd037b, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5df6b657, "irq_get_irq_data" },
	{ 0x3daf0b99, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x896e37a8, "ieee80211_remain_on_channel_expired" },
	{ 0x41adfd35, "pcie_capability_clear_and_set_word_locked" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xd74ba324, "skb_push" },
	{ 0xe247f50c, "dma_alloc_attrs" },
	{ 0x23dafcd9, "pci_read_config_word" },
	{ 0xd5b79472, "napi_enable" },
	{ 0x41e88bc9, "ieee80211_wake_queues" },
	{ 0xed3a0d7d, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1fb41165, "of_find_property" },
	{ 0xecc47209, "qmi_txn_init" },
	{ 0x7f727669, "ieee80211_report_low_ack" },
	{ 0xe6e44a93, "ieee80211_beacon_get_template" },
	{ 0x2483d664, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x7cfb85e2, "wiphy_work_queue" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdcf2b50, "ieee80211_free_txskb" },
	{ 0x4b23af8f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3af431a, "mhi_free_controller" },
	{ 0xfea3abe7, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7d62ae02, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x106ebfad, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x5548d6cb, "wiphy_work_cancel" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xba44af30, "pci_set_master" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0x607ff9ae, "ieee80211_beacon_free_ema_list" },
	{ 0x17820586, "__netdev_alloc_skb" },
	{ 0x99220b52, "ieee80211_iterate_stations_mtx" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xe3d68982, "ieee80211_ready_on_channel" },
	{ 0x97866e1b, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3f1621ff, "skb_trim" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x77127c10, "qmi_handle_release" },
	{ 0xa20c0dfd, "skb_cow_data" },
	{ 0xd6994b95, "of_graph_get_port_parent" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86f0a2c, "dma_set_coherent_mask" },
	{ 0x43b40eaa, "mhi_alloc_controller" },
	{ 0x8dc8cebb, "skb_realloc_headroom" },
	{ 0xcad26424, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xf088999b, "idr_for_each" },
	{ 0x6df04d25, "mhi_unregister_controller" },
	{ 0xf665f01d, "rt_read_lock" },
	{ 0xf0b455cd, "ieee80211_vif_to_wdev" },
	{ 0xb9a4e0ea, "alloc_netdev_dummy" },
	{ 0xc871dfe, "dma_free_attrs" },
	{ 0x9872696d, "atomic_notifier_chain_unregister" },
	{ 0x2c5d6ba7, "ieee80211_scan_completed" },
	{ 0x15eb08f9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x9f48ec89, "crypto_shash_final" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf0abce83, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x99396ef, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1185e577, "pskb_put" },
	{ 0xfe82bc12, "ieee80211_unregister_hw" },
	{ 0x28340998, "rt_read_unlock" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x85fc832b, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb6a57c46, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xae4b96e9, "ieee80211_radar_detected" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x23742b14, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5c54d6e2, "mhi_download_rddm_image" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe3fa5b66, "napi_schedule_prep" },
	{ 0xfbc13d9d, "ieee80211_set_active_links" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7ddced13, "napi_disable" },
	{ 0xd1c24461, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0x417bf38, "cfg80211_chandef_dfs_cac_time" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x4117b24e, "crypto_alloc_shash" },
	{ 0x93f6713, "pci_write_config_word" },
	{ 0xfd5538f3, "ieee80211_beacon_get_template_ema_list" },
	{ 0xdf59419b, "pci_release_region" },
	{ 0x54034c8c, "mhi_prepare_for_power_up" },
	{ 0x37f9e365, "pci_free_irq_vectors" },
	{ 0x2f3ada9e, "qmi_add_lookup" },
	{ 0xee397ed6, "__cfg80211_get_bss" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xe5530bb7, "ieee80211_csa_finish" },
	{ 0x62ef5fd5, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers,mhi");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "ED16D5CF960D38EB48613D3");
MODULE_INFO(rhelversion, "10.1");
