#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0xeac49654, "qcom_minidump" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xdcb764ad, "memset" },
	{ 0xbe94c09f, "qcom_q6v5_panic" },
	{ 0x3c0e1620, "qcom_scm_pas_metadata_release" },
	{ 0xa47f3e8b, "request_firmware" },
	{ 0xb2d1079b, "qcom_mdt_pas_init" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfc52abc7, "qcom_scm_pas_shutdown" },
	{ 0xb7117bd5, "qcom_mdt_load_no_init" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0x1a8ace99, "__of_parse_phandle_with_args" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9916c37, "qcom_q6v5_prepare" },
	{ 0x857eeb76, "dev_pm_genpd_set_performance_state" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0x1d42183e, "qcom_q6v5_unprepare" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb84610fd, "regulator_enable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe7ea76c7, "regulator_disable" },
	{ 0xdd7e3192, "qcom_scm_pas_auth_and_reset" },
	{ 0x30e58241, "qcom_pil_info_store" },
	{ 0x1dc15dbc, "qcom_q6v5_wait_for_start" },
	{ 0xcd3a5324, "qcom_q6v5_request_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcd926879, "qcom_smem_bust_hwspin_lock_by_host" },
	{ 0x3fafa763, "of_reserved_mem_lookup" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0x2bd2150e, "devm_ioremap_wc" },
	{ 0x11b40f6e, "of_device_get_match_data" },
	{ 0x99094fb2, "qcom_scm_is_available" },
	{ 0x59e6a96, "of_property_read_string" },
	{ 0xe2cde622, "of_property_read_string_helper" },
	{ 0xdf246c23, "devm_rproc_alloc" },
	{ 0x63d1380a, "rproc_coredump_set_elf_info" },
	{ 0x2ba52fe3, "device_set_wakeup_capable" },
	{ 0xb9c54592, "device_wakeup_enable" },
	{ 0xd4b38156, "device_wakeup_disable" },
	{ 0xcdaced8a, "qcom_scm_assign_mem" },
	{ 0x504c9f8f, "devm_clk_get" },
	{ 0x5277caf3, "devm_clk_get_optional" },
	{ 0x383ddfa2, "devm_regulator_get_optional" },
	{ 0x2eed7f, "regulator_set_load" },
	{ 0xe810dbd0, "dev_pm_domain_attach_by_name" },
	{ 0xc5bc9f19, "dev_pm_domain_detach" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0xb3fbc500, "qcom_q6v5_init" },
	{ 0x20f1033f, "qcom_add_glink_subdev" },
	{ 0xbdd050f6, "qcom_add_smd_subdev" },
	{ 0xe71d434e, "qcom_add_pdm_subdev" },
	{ 0x33da1cb6, "qcom_add_sysmon_subdev" },
	{ 0xd06ad243, "qcom_add_ssr_subdev" },
	{ 0x2981d05a, "rproc_add" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0xb9836784, "rproc_del" },
	{ 0x989fc746, "qcom_q6v5_deinit" },
	{ 0x832b582a, "qcom_remove_glink_subdev" },
	{ 0xa881c6fc, "qcom_remove_sysmon_subdev" },
	{ 0x548aa374, "qcom_remove_smd_subdev" },
	{ 0xc49ddba7, "qcom_remove_pdm_subdev" },
	{ 0x59ff4e1b, "qcom_remove_ssr_subdev" },
	{ 0xa21982ae, "qcom_register_dump_segments" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "qcom_common,qcom_q6v5,mdt_loader,qcom_pil_info,smem,qcom_sysmon");

MODULE_ALIAS("of:N*T*Cqcom,msm8226-adsp-pil");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-adsp-pilC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8953-adsp-pil");
MODULE_ALIAS("of:N*T*Cqcom,msm8953-adsp-pilC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-adsp-pil");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-adsp-pilC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-adsp-pil");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-adsp-pilC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-slpi-pil");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-slpi-pilC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8998-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,msm8998-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8998-slpi-pas");
MODULE_ALIAS("of:N*T*Cqcom,msm8998-slpi-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,qcs404-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,qcs404-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,qcs404-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,qcs404-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,qcs404-wcss-pas");
MODULE_ALIAS("of:N*T*Cqcom,qcs404-wcss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-cdsp0-pas");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-cdsp0-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-cdsp1-pas");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-cdsp1-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-gpdsp0-pas");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-gpdsp0-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-gpdsp1-pas");
MODULE_ALIAS("of:N*T*Cqcom,sa8775p-gpdsp1-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc7180-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-wpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc7280-wpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc8180x-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-nsp0-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-nsp0-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-nsp1-pas");
MODULE_ALIAS("of:N*T*Cqcom,sc8280xp-nsp1-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm660-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sdm660-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-slpi-pas");
MODULE_ALIAS("of:N*T*Cqcom,sdm845-slpi-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sdx55-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sdx55-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sdx75-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sdx75-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6115-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6350-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm6375-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-slpi-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8150-slpi-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-slpi-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8250-slpi-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-slpi-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-slpi-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8350-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-slpi-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-slpi-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8450-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8550-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-cdsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-mpss-pas");
MODULE_ALIAS("of:N*T*Cqcom,sm8650-mpss-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-adsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-adsp-pasC*");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-cdsp-pas");
MODULE_ALIAS("of:N*T*Cqcom,x1e80100-cdsp-pasC*");

MODULE_INFO(srcversion, "3010DDA3E116EA22E5C0A3D");
MODULE_INFO(rhelversion, "10.1");
