#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0x7ad644a0, "pm_runtime_force_resume" },
	{ 0x8426b584, "spi_controller_resume" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xf1024a2a, "spi_controller_suspend" },
	{ 0xb25e1f30, "pm_runtime_force_suspend" },
	{ 0xa6257a2f, "complete" },
	{ 0x8009f799, "devm_kasprintf" },
	{ 0x49da471a, "spi_mem_default_supports_op" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0xdca2662e, "of_get_next_available_child" },
	{ 0xb3a02040, "of_property_read_variable_u32_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7b2d498c, "dma_map_page_attrs" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc4753ab4, "dma_unmap_page_attrs" },
	{ 0x29caaff7, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x401e3f59, "devm_clk_bulk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf06c08ac, "spi_unregister_controller" },
	{ 0xb37ebe78, "dma_release_channel" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3abf6a7c, "__devm_spi_alloc_controller" },
	{ 0x11b40f6e, "of_device_get_match_data" },
	{ 0x1fb41165, "of_find_property" },
	{ 0x504c9f8f, "devm_clk_get" },
	{ 0x1087082, "devm_platform_ioremap_resource" },
	{ 0x15afe773, "devm_platform_get_and_ioremap_resource" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x40d5023, "platform_get_irq" },
	{ 0x3d3c70d3, "__pm_runtime_set_status" },
	{ 0xa8ab43e0, "__devm_reset_control_get" },
	{ 0x7b64340d, "of_device_is_compatible" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbe7a3284, "devm_request_threaded_irq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb4ef7d26, "dma_request_chan_by_mask" },
	{ 0xb8d993ef, "devm_pm_runtime_enable" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x83549dd7, "pm_runtime_set_autosuspend_delay" },
	{ 0x3f5ab44a, "__pm_runtime_use_autosuspend" },
	{ 0xe2c64215, "spi_register_controller" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x80f20a28, "__pm_runtime_suspend" },
	{ 0x23742b14, "dma_set_mask" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Ccdns,qspi-nor");
MODULE_ALIAS("of:N*T*Ccdns,qspi-norC*");
MODULE_ALIAS("of:N*T*Cti,k2g-qspi");
MODULE_ALIAS("of:N*T*Cti,k2g-qspiC*");
MODULE_ALIAS("of:N*T*Cti,am654-ospi");
MODULE_ALIAS("of:N*T*Cti,am654-ospiC*");
MODULE_ALIAS("of:N*T*Cintel,lgm-qspi");
MODULE_ALIAS("of:N*T*Cintel,lgm-qspiC*");
MODULE_ALIAS("of:N*T*Cxlnx,versal-ospi-1.0");
MODULE_ALIAS("of:N*T*Cxlnx,versal-ospi-1.0C*");
MODULE_ALIAS("of:N*T*Cintel,socfpga-qspi");
MODULE_ALIAS("of:N*T*Cintel,socfpga-qspiC*");
MODULE_ALIAS("of:N*T*Cstarfive,jh7110-qspi");
MODULE_ALIAS("of:N*T*Cstarfive,jh7110-qspiC*");
MODULE_ALIAS("of:N*T*Camd,pensando-elba-qspi");
MODULE_ALIAS("of:N*T*Camd,pensando-elba-qspiC*");
MODULE_ALIAS("of:N*T*Cmobileye,eyeq5-ospi");
MODULE_ALIAS("of:N*T*Cmobileye,eyeq5-ospiC*");

MODULE_INFO(srcversion, "58CC2502327E5AEF8C86BB5");
MODULE_INFO(rhelversion, "10.1");
