#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0xeb740b4a, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x1551304b, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x1baabc2f, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x0b8df066, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x280ec5e0, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x946b138f, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0xbaedc9eb, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x6508993f, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0xaf809fdf, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0xf4aa31cc, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x0afcf4e7, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x634fb56d, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x2ebeff00, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0xa961a18b, "_gpl");
SYMBOL_CRC(gether_suspend, 0x1d23979c, "_gpl");
SYMBOL_CRC(gether_resume, 0xeb83b6c3, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x894149a4, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x5dcee3bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1bb3f539, "dev_addr_mod" },
	{ 0x10b53c90, "register_netdev" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x660fac43, "_dev_info" },
	{ 0x2352d3f9, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe3442b88, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xed3a0d7d, "free_netdev" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x15f6d61d, "alloc_etherdev_mqs" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x4b6a2a76, "usb_func_wakeup" },
	{ 0x71015993, "usb_gadget_wakeup" },
	{ 0xd1c24461, "dev_kfree_skb_any_reason" },
	{ 0xd1101c21, "netif_tx_wake_queue" },
	{ 0x17820586, "__netdev_alloc_skb" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0x39449f12, "netif_carrier_on" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0x86784c5b, "skb_dequeue" },
	{ 0x35670976, "eth_type_trans" },
	{ 0xc846f36e, "netif_rx" },
	{ 0xb528543e, "skb_queue_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c33ebd0, "eth_mac_addr" },
	{ 0xc73882a5, "eth_validate_addr" },
	{ 0x3b982865, "ethtool_op_get_link" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "udc-core,libcomposite");


MODULE_INFO(srcversion, "778C22C6102DA480283AC31");
MODULE_INFO(rhelversion, "10.1");
