#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x763a6a48, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x18578ac3, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xa2253b63, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x7d0ed2bd, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x8847ac83, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x2cd3be92, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x2d1a3f32, "_gpl");
SYMBOL_CRC(ucsi_create, 0x300189a9, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x3e560411, "_gpl");
SYMBOL_CRC(ucsi_register, 0x8b2c6e7a, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x3e986d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x4ec847d9, "typec_partner_set_pd_revision" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d856bfd, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f011cb9, "typec_register_partner" },
	{ 0xfaab2dab, "typec_port_set_usb_power_delivery" },
	{ 0xfcfe9b9, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69d85886, "typec_port_register_altmode" },
	{ 0xda3dbba0, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcaf28dd, "trace_raw_output_prep" },
	{ 0x62623d13, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x671bbc88, "__trace_trigger_soft_disabled" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x2cd7c870, "trace_event_printf" },
	{ 0x8681c9a8, "trace_event_raw_init" },
	{ 0xa3ed2a9f, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x91913dde, "seq_lseek" },
	{ 0x606e2813, "bpf_trace_run2" },
	{ 0xaca7b9c, "typec_set_mode" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xb842fe53, "trace_event_buffer_commit" },
	{ 0xa89dea62, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2359bb8, "typec_partner_register_altmode" },
	{ 0x28b4a9a7, "typec_partner_set_num_altmodes" },
	{ 0x7a760d7b, "typec_unregister_partner" },
	{ 0xcf0ee37c, "typec_set_pwr_opmode" },
	{ 0xbf33294c, "typec_cable_set_identity" },
	{ 0x9be8c5b8, "debugfs_attr_read" },
	{ 0x4ea66667, "typec_unregister_cable" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x7573436a, "perf_trace_run_bpf_submit" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xe7c31660, "typec_partner_set_usb_mode" },
	{ 0x968852f1, "typec_altmode_update_active" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xfa30533, "device_property_read_u8_array" },
	{ 0x1f949f05, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xab4c2151, "usb_power_delivery_register_capabilities" },
	{ 0x1050123a, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0x6c094987, "usb_power_delivery_unregister" },
	{ 0xb766637, "trace_event_reg" },
	{ 0x2123189, "typec_set_data_role" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xc159f819, "typec_unregister_port" },
	{ 0xc0d0a7a3, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x27318ed4, "typec_register_port" },
	{ 0x808d3067, "typec_plug_set_num_altmodes" },
	{ 0xaf76798a, "typec_partner_set_usb_power_delivery" },
	{ 0xb1bd64aa, "power_supply_changed" },
	{ 0x2b6343b0, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x5dc6e4c, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9a8de0cb, "typec_plug_register_altmode" },
	{ 0x8009f799, "devm_kasprintf" },
	{ 0x276bd168, "seq_read" },
	{ 0x2e8be663, "trace_event_buffer_reserve" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2b3780a1, "typec_unregister_altmode" },
	{ 0x8fe4f15f, "typec_register_cable" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb15ae8cf, "usb_power_delivery_unregister_capabilities" },
	{ 0x8aa4b6ea, "typec_get_drvdata" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0xc87ef907, "typec_partner_set_identity" },
	{ 0xaa004e63, "power_supply_unregister" },
	{ 0x26f424b4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1e799b2f, "typec_set_pwr_role" },
	{ 0xdeefdd65, "typec_partner_usb_power_delivery_register" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0xa73a4a23, "usb_debug_root" },
	{ 0x2a0f437f, "device_get_next_child_node" },
	{ 0x16507f27, "single_open" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb3b6955d, "__dev_fwnode" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F4842E64EC83EFBA255780");
MODULE_INFO(rhelversion, "10.1");
