#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x1ebb95ad, "");
SYMBOL_CRC(w1_remove_master_device, 0xbf3e45b9, "");
SYMBOL_CRC(w1_register_family, 0xfaa449a8, "");
SYMBOL_CRC(w1_unregister_family, 0xd21238ab, "");
SYMBOL_CRC(w1_touch_bit, 0xf7756f30, "_gpl");
SYMBOL_CRC(w1_write_8, 0xa52a6d62, "_gpl");
SYMBOL_CRC(w1_triplet, 0x4114b294, "_gpl");
SYMBOL_CRC(w1_read_8, 0x144732bd, "_gpl");
SYMBOL_CRC(w1_write_block, 0xcb467280, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xc7baafd3, "_gpl");
SYMBOL_CRC(w1_read_block, 0x8efff415, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x2d247cd6, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xf3ab6d9e, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x27a5b9ea, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x6835ecb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf845d666, "device_unregister" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x4b5ec362, "sysfs_remove_groups" },
	{ 0x9825c481, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x89040069, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0x660fac43, "_dev_info" },
	{ 0xcb0e6edc, "flush_signals" },
	{ 0x79cd157e, "bus_unregister" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa308d889, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x659237d9, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x838e1309, "sysfs_create_group" },
	{ 0xaa88ccbf, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdf14a63f, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xa8d8fc5a, "kthread_create_on_node" },
	{ 0x7794fd80, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x8bca2896, "kobject_uevent" },
	{ 0x171485ab, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x758d42cf, "of_find_matching_node_and_match" },
	{ 0xfbf9439f, "driver_register" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x51243ad9, "bus_register" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");
MODULE_INFO(rhelversion, "10.1");
