#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xf12f4451, "");
SYMBOL_CRC(bt_sock_register, 0x9e1ee9c7, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xbc49bbac, "");
SYMBOL_CRC(bt_sock_link, 0x1edc701d, "");
SYMBOL_CRC(bt_sock_unlink, 0x15c0c837, "");
SYMBOL_CRC(bt_sock_linked, 0xe1e2618d, "");
SYMBOL_CRC(bt_accept_enqueue, 0x382d0b6f, "");
SYMBOL_CRC(bt_accept_unlink, 0x9ccea8a9, "");
SYMBOL_CRC(bt_accept_dequeue, 0x80a6b119, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xb6f162fd, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x4d713e00, "");
SYMBOL_CRC(bt_sock_poll, 0x84b2c4fd, "");
SYMBOL_CRC(bt_sock_ioctl, 0xf3aac4b5, "");
SYMBOL_CRC(bt_sock_wait_state, 0xbabff8cc, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xc26b294d, "");
SYMBOL_CRC(bt_procfs_init, 0x74d5a699, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xa640bd9b, "");
SYMBOL_CRC(bt_debugfs, 0xf26dedec, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x0a854593, "");
SYMBOL_CRC(hci_free_dev, 0xd8e01eb0, "");
SYMBOL_CRC(hci_register_dev, 0xfaf7a11e, "");
SYMBOL_CRC(hci_unregister_dev, 0x3963105b, "");
SYMBOL_CRC(hci_release_dev, 0xbad3d57f, "");
SYMBOL_CRC(hci_suspend_dev, 0x1448a08d, "");
SYMBOL_CRC(hci_resume_dev, 0xbc5a4908, "");
SYMBOL_CRC(hci_reset_dev, 0x660494e6, "");
SYMBOL_CRC(hci_recv_frame, 0x8f5e8f87, "");
SYMBOL_CRC(hci_recv_diag, 0x75702688, "");
SYMBOL_CRC(hci_set_hw_info, 0x9ae3b296, "");
SYMBOL_CRC(hci_set_fw_info, 0x9abf7102, "");
SYMBOL_CRC(hci_register_cb, 0x8f287aec, "");
SYMBOL_CRC(hci_unregister_cb, 0x48e97931, "");
SYMBOL_CRC(__hci_cmd_send, 0x5895e336, "");
SYMBOL_CRC(hci_get_route, 0xdd72ca17, "");
SYMBOL_CRC(hci_conn_security, 0x8f467078, "");
SYMBOL_CRC(hci_conn_check_secure, 0xc507c56d, "");
SYMBOL_CRC(hci_conn_switch_role, 0x95cd1f34, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x6ab76527, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xa5223b51, "");
SYMBOL_CRC(l2cap_add_psm, 0xc6f04642, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xd18dff93, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x2914a982, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x620df828, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x9b318aa9, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xd15ba10f, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xabdab229, "");
SYMBOL_CRC(l2cap_register_user, 0x6120ba9a, "");
SYMBOL_CRC(l2cap_unregister_user, 0x986e165c, "");
SYMBOL_CRC(l2cap_conn_get, 0x6e80ff4b, "");
SYMBOL_CRC(l2cap_conn_put, 0x2f4a0f4a, "");
SYMBOL_CRC(l2cap_chan_send, 0x4cc7f0c3, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x864eaf1a, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xd20ffd3a, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x16f268a4, "");
SYMBOL_CRC(__hci_cmd_sync, 0x90127c58, "");
SYMBOL_CRC(hci_cmd_sync, 0x669f87fa, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x378989c6, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xa23f26de, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x328f24bf, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x75906dc1, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xb989b0c9, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xdd88c61f, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x8427224a, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x0c9d380f, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x45f3f11e, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xe551f5af, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xa6fa7fd2, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x8faa6672, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x1218cf4f, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x1f9dd122, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x8f09414f, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xccd4dbba, "");
SYMBOL_CRC(hci_devcd_init, 0x07b673bf, "");
SYMBOL_CRC(hci_devcd_append, 0x932db794, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x3d938251, "");
SYMBOL_CRC(hci_devcd_complete, 0xc7323642, "");
SYMBOL_CRC(hci_devcd_abort, 0x9c6e8958, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9be8a5ca, "security_sock_graft" },
	{ 0xb69c0ca3, "skb_free_datagram" },
	{ 0x28d60289, "sock_queue_rcv_skb_reason" },
	{ 0x9c6a9e34, "ida_alloc_range" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x8fb5ec3d, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d856bfd, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x804532e2, "ida_destroy" },
	{ 0x6b771afe, "idr_find" },
	{ 0xfcfe9b9, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0x11787605, "scm_detach_fds" },
	{ 0xd2387ae9, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf845d666, "device_unregister" },
	{ 0x86784c5b, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xdb1891b5, "debugfs_create_u16" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x4e1175f2, "add_wait_queue_exclusive" },
	{ 0x3655bf5a, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x91913dde, "seq_lseek" },
	{ 0xe125c7af, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x98053a97, "sock_no_connect" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0x19e59011, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0xeda4b127, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x2812e2, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x9ce60351, "__pskb_copy_fclone" },
	{ 0xd73bc781, "__put_cred" },
	{ 0x9e14e218, "put_cmsg" },
	{ 0xb7820558, "skb_queue_purge_reason" },
	{ 0x75107b40, "crypto_destroy_tfm" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xac460d80, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x115f876c, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2b3852f, "sock_register" },
	{ 0x8d580c3d, "datagram_poll" },
	{ 0x9a17a26e, "__sock_recv_cmsgs" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f088838, "__alloc_skb" },
	{ 0x7766158a, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0xdfa882d3, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb528543e, "skb_queue_tail" },
	{ 0x1f091bfb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1a70fe71, "idr_remove" },
	{ 0x9be8c5b8, "debugfs_attr_read" },
	{ 0xb04bef92, "__sock_recv_timestamp" },
	{ 0x79d57f13, "sock_no_shutdown" },
	{ 0xa1164cf6, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x14325614, "init_net" },
	{ 0x13289503, "crypto_shash_setkey" },
	{ 0x20ea2b87, "simple_open" },
	{ 0x644e22a8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe6e08ab6, "device_add" },
	{ 0xdfbd037b, "idr_alloc" },
	{ 0x1f949f05, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5255f30, "init_uts_ns" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x6ba839f9, "sk_free" },
	{ 0xf1ade80d, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xa18d9b2, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xd74ba324, "skb_push" },
	{ 0x63dcd65d, "sock_no_listen" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b8c539d, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc3569a0c, "iov_iter_kvec" },
	{ 0x7393ed14, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x125e1b66, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xb15c28fe, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfda26627, "device_find_child" },
	{ 0x9a44f7dc, "dev_coredumpv" },
	{ 0xc4be2377, "skb_copy_datagram_iter" },
	{ 0x6fc0c361, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xb7754d17, "sk_alloc" },
	{ 0xe4f5554f, "device_del" },
	{ 0xdc7e300b, "__sock_queue_rcv_skb" },
	{ 0x7d62ae02, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x86562641, "default_llseek" },
	{ 0xb87fa0ad, "__sock_recv_wifi_status" },
	{ 0xaa11a25f, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x94b45a98, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x8a8ddb8c, "sock_no_mmap" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xba989fa2, "security_sk_clone" },
	{ 0x33b2fda1, "__pskb_pull_tail" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x4fc8d3b2, "__scm_destroy" },
	{ 0x2cefb69f, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x3f1621ff, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x8da9a666, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x276bd168, "seq_read" },
	{ 0xf665f01d, "rt_read_lock" },
	{ 0x490539d4, "sock_i_ino" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcffb32ee, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x99396ef, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x570b70ac, "skb_recv_datagram" },
	{ 0x10c81fc4, "sock_alloc_send_pskb" },
	{ 0xad7b4e63, "seq_write" },
	{ 0x28340998, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x748caf7f, "remove_proc_entry" },
	{ 0xac8b7071, "radix_tree_tagged" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x85fc832b, "skb_copy" },
	{ 0xbae905c6, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0x7670bd9b, "_copy_from_iter" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0xd6e85d29, "device_match_any" },
	{ 0x4d711c53, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x47b526f8, "remove_wait_queue" },
	{ 0x4f4584f, "sock_gettstamp" },
	{ 0x26f424b4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe901a9e2, "pid_vnr" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x8f28a53a, "from_kuid_munged" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xe29186ab, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4c2342a6, "proc_create_seq_private" },
	{ 0xc1e26a91, "debugfs_create_u8" },
	{ 0x16507f27, "single_open" },
	{ 0x4117b24e, "crypto_alloc_shash" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x319d8423, "fwnode_property_read_u8_array" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x4ecd8eac, "put_pid" },
	{ 0x7424dce3, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd729de8f, "sock_init_data" },
	{ 0xb3b6955d, "__dev_fwnode" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x34e947f7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe1d7d6b9, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "F85BFFFF1E076CB2778FA54");
MODULE_INFO(rhelversion, "10.1");
