#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xefa5178c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x7a97f674, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x73aa4723, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x8f566745, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0xfa684837, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x086fdd51, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x831bfb88, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xfabd9a74, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x53c248c0, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x6318ade9, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x88ca6974, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x3a485695, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x8ea65baa, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x11f9203a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xcb0a6c42, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x284d5ce4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xa4196da0, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x3e3d5eb2, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x6dc90e87, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xf7a5937e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x7573436a, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2e8be663, "trace_event_buffer_reserve" },
	{ 0xb842fe53, "trace_event_buffer_commit" },
	{ 0x671bbc88, "__trace_trigger_soft_disabled" },
	{ 0xfcaf28dd, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x2cd7c870, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf19aa153, "bpf_trace_run1" },
	{ 0x606e2813, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xae44625c, "sk_error_report" },
	{ 0x2cbdfb48, "ip_icmp_error" },
	{ 0xc2f34969, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0x3103a386, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe72666e, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x96b25e21, "sock_create_kern" },
	{ 0x3caae30d, "kernel_bind" },
	{ 0x106ebfad, "kernel_connect" },
	{ 0x33a14e85, "udp_sock_create6" },
	{ 0x8ae5e585, "kernel_sock_shutdown" },
	{ 0x728f3786, "sock_release" },
	{ 0xbcd8ba78, "udp_sock_create4" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf088999b, "idr_for_each" },
	{ 0x7d62ae02, "idr_destroy" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1444c31a, "idr_get_next_ul" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x6b771afe, "idr_find" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27e88dc4, "udp_set_csum" },
	{ 0x329fccf4, "ip_queue_xmit" },
	{ 0xc5836a1e, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbcdf41bc, "udp6_set_csum" },
	{ 0x8bd3d718, "inet6_csk_xmit" },
	{ 0x65b98fa5, "dst_release" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb528543e, "skb_queue_tail" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6ba839f9, "sk_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5f81432b, "idr_replace" },
	{ 0x1a70fe71, "idr_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x86784c5b, "skb_dequeue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x80dc736b, "idr_alloc_u32" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x33b2fda1, "__pskb_pull_tail" },
	{ 0xb98b6e4f, "sockfd_lookup" },
	{ 0xb15c28fe, "lock_sock_nested" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0x34e947f7, "release_sock" },
	{ 0x8835101, "fput" },
	{ 0xdcb764ad, "memset" },
	{ 0xc93cbe5c, "setup_udp_tunnel_sock" },
	{ 0xb766637, "trace_event_reg" },
	{ 0x8681c9a8, "trace_event_raw_init" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "ipv6,ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");
MODULE_INFO(rhelversion, "10.1");
