#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd95c28ee, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x8dff948b, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x5f7d231f, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x32bd2f1e, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x133ddb45, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x1986cc42, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xb86d6aba, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xa97dd28d, "");
SYMBOL_CRC(ip_vs_conn_put, 0x9ba441e5, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x8dabe42c, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x7c0131ec, "");
SYMBOL_CRC(register_ip_vs_app, 0xb1470eda, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x043c1ee3, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x6a98daab, "");
SYMBOL_CRC(ip_vs_proto_get, 0x41ccbcbc, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xf7d78843, "");
SYMBOL_CRC(register_ip_vs_pe, 0x6e639098, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x6b374875, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x2e2ff135, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x412aa567, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x2ef35fe9, "nf_conntrack_find_get" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x9aa02b1c, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x65fcb369, "xfrm_lookup" },
	{ 0x70c5e0c9, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x56c70ad7, "housekeeping_cpumask" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0xad764688, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc6d9c7a5, "nf_register_sockopt" },
	{ 0x838fede8, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb8376eb0, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x3caae30d, "kernel_bind" },
	{ 0xbc2025a9, "set_user_nice" },
	{ 0x6a434488, "genlmsg_put" },
	{ 0x27e88dc4, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0xe0f13f6, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xeda4b127, "__module_get" },
	{ 0x9f452b2e, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x649dd39c, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xd0032cce, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x8c00e804, "proc_create_net_data" },
	{ 0xc5836a1e, "pskb_expand_head" },
	{ 0xfff195a9, "register_pernet_subsys" },
	{ 0x89040069, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9ad916b8, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x87c0e93d, "nf_unregister_sockopt" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x94c8e0dd, "nf_register_net_hooks" },
	{ 0x7cc64e75, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f088838, "__alloc_skb" },
	{ 0x182075f8, "ipv6_sock_mc_join" },
	{ 0x1f091bfb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x895393f0, "ipv6_dev_get_saddr" },
	{ 0x26593300, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x14325614, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x96e35781, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x31f7138b, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf190dfcb, "ip_route_me_harder" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xd74ba324, "skb_push" },
	{ 0x2fba0d29, "kmem_cache_free" },
	{ 0x430dfcce, "set_cpus_allowed_ptr" },
	{ 0x4b8c539d, "seq_putc" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0x2cf432ee, "proc_doulongvec_minmax" },
	{ 0x151b5531, "nf_ct_expect_alloc" },
	{ 0xe12e553e, "skb_ensure_writable" },
	{ 0xc3569a0c, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdb45644, "ip_mc_join_group" },
	{ 0x5a6c8cc1, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6c2ddc34, "ns_capable" },
	{ 0x5ef437a3, "nf_unregister_net_hooks" },
	{ 0xffa9c7d6, "inet_select_addr" },
	{ 0xbe72666e, "unregister_pernet_device" },
	{ 0xb15c28fe, "lock_sock_nested" },
	{ 0x1c3cd7ca, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xaa88ccbf, "kthread_stop" },
	{ 0xa3abb03e, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x70805041, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x106ebfad, "kernel_connect" },
	{ 0x7d5932d6, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x4c3faff5, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1bf96fdc, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb64da58a, "__icmpv6_send" },
	{ 0x33b2fda1, "__pskb_pull_tail" },
	{ 0x2548bd2a, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xb98a651d, "__kmem_cache_create_args" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3f1621ff, "skb_trim" },
	{ 0x7e4244be, "nf_hook_slow" },
	{ 0x5dc6e4c, "mutex_trylock" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8d8fc5a, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x9d5ee2f, "nf_ct_deliver_cached_events" },
	{ 0x8dc8cebb, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x507cac9a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4c64f65f, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x635cc351, "skb_set_owner_w" },
	{ 0xe5a143b6, "__skb_checksum" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x96b25e21, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa65d1ae0, "init_user_ns" },
	{ 0xadf2d6a0, "nf_ct_expect_init" },
	{ 0xad7b4e63, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x748caf7f, "remove_proc_entry" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0xab478118, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x92cffc6a, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe206ef46, "ipv4_update_pmtu" },
	{ 0x6eedaf72, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x65b98fa5, "dst_release" },
	{ 0x728f3786, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x57c16e08, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x185bd471, "unregister_net_sysctl_table" },
	{ 0xe789a85d, "ip_local_out" },
	{ 0xa940ed77, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xbcdf41bc, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb05ac435, "genl_register_family" },
	{ 0xa6181be, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x4bc41fb7, "nf_ct_netns_put" },
	{ 0x3103a386, "register_pernet_device" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbdb33a00, "kmem_cache_destroy" },
	{ 0x34e947f7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8760cb60, "proc_dointvec_minmax" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AD1096E8AE1A26077FABBA9");
MODULE_INFO(rhelversion, "10.1");
