#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xf6427292, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0xb627cc50, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x86865494, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x86b7a738, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x6133ca47, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x19067c01, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xa780d5ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf8a59078, "nf_ct_helper_init" },
	{ 0xa147157f, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x2d7c683a, "nf_conntrack_helpers_unregister" },
	{ 0x1da165fb, "nf_ct_helper_log" },
	{ 0x6655ca0b, "__nf_ct_expect_find" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xdcb764ad, "memset" },
	{ 0x159fed3a, "nf_ipv6_ops" },
	{ 0x65b98fa5, "dst_release" },
	{ 0x94881156, "nf_ip_route" },
	{ 0x151b5531, "nf_ct_expect_alloc" },
	{ 0xadf2d6a0, "nf_ct_expect_init" },
	{ 0x31f7138b, "nf_ct_expect_related_report" },
	{ 0x5a6c8cc1, "nf_ct_expect_put" },
	{ 0x72388535, "nf_ct_unexpect_related" },
	{ 0xf9a61e70, "nf_conntrack_expect_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc8288004, "nf_ct_remove_expect" },
	{ 0x80fae650, "__nf_ct_refresh_acct" },
	{ 0x33b2fda1, "__pskb_pull_tail" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xe8aeb784, "param_ops_ushort" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x7de170cf, "param_ops_uint" },
	{ 0x91837bc3, "param_array_ops" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "16F54D87A0A64D5CA4D3C7D");
MODULE_INFO(rhelversion, "10.1");
