#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x725897dc, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xc126f046, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x48680a30, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x752ef301, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x7ff45615, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xeaa55376, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xcb6e2c78, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xdcf7f2b7, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x835cd41c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xc0eac932, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x55bbcc51, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xfff195a9, "register_pernet_subsys" },
	{ 0x70805041, "unregister_pernet_subsys" },
	{ 0x94c8e0dd, "nf_register_net_hooks" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0xad7b4e63, "seq_write" },
	{ 0x5ef437a3, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0x4261e4dc, "security_skb_classify_flow" },
	{ 0x159fed3a, "nf_ipv6_ops" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x65fcb369, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad764688, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe12e553e, "skb_ensure_writable" },
	{ 0x3d9739bc, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf190dfcb, "ip_route_me_harder" },
	{ 0xe789a85d, "ip_local_out" },
	{ 0x3f088838, "__alloc_skb" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x748caf7f, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x92644ed2, "nf_ct_tmpl_alloc" },
	{ 0x412aa567, "nf_ct_ext_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x8c00e804, "proc_create_net_data" },
	{ 0x8e330173, "nf_ct_tmpl_free" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3f13854f, "nf_ct_seqadj_init" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0x28057931, "ipv6_skip_exthdr" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");
MODULE_INFO(rhelversion, "10.1");
