#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x01b2e69c, "");
SYMBOL_CRC(snd_unregister_device, 0x65587903, "");
SYMBOL_CRC(snd_device_alloc, 0x042cbb50, "_gpl");
SYMBOL_CRC(snd_card_new, 0x9f208eab, "");
SYMBOL_CRC(snd_devm_card_new, 0xe3a9a83f, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x1c094700, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x67e18fff, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x63f86670, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0xcf9579c0, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x0c864b00, "");
SYMBOL_CRC(snd_card_free, 0xf3ef6127, "");
SYMBOL_CRC(snd_card_set_id, 0x4bb6d046, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x9790ee1b, "_gpl");
SYMBOL_CRC(snd_card_register, 0x1e7107fc, "");
SYMBOL_CRC(snd_component_add, 0xd9c9b0e1, "");
SYMBOL_CRC(snd_card_file_add, 0xa1e7074e, "");
SYMBOL_CRC(snd_card_file_remove, 0x4c9df6ce, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x89795f6f, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xb7911cb6, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x2b86b214, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x1fddc6c6, "");
SYMBOL_CRC(snd_ctl_notify, 0x8ce188f8, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x8ac6414c, "");
SYMBOL_CRC(snd_ctl_new1, 0x19a7a38d, "");
SYMBOL_CRC(snd_ctl_free_one, 0xa988812d, "");
SYMBOL_CRC(snd_ctl_add, 0x5f287006, "");
SYMBOL_CRC(snd_ctl_replace, 0x40d24ba9, "");
SYMBOL_CRC(snd_ctl_remove, 0xae6456c2, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x6e99c6eb, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xeee21f23, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x71834a8e, "");
SYMBOL_CRC(snd_ctl_rename, 0x4de55f8a, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xe68628bb, "");
SYMBOL_CRC(snd_ctl_find_id, 0x80908d57, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x61dc1163, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x52bafda9, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xc67e8561, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x0b89fe68, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xd9b1d1d5, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x8f409eef, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xc1dff023, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x30c2cfcf, "");
SYMBOL_CRC(snd_fasync_helper, 0x232b5c1d, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x7e15ae9f, "");
SYMBOL_CRC(snd_device_disconnect, 0x377cc4b3, "_gpl");
SYMBOL_CRC(snd_device_free, 0xaa5ce869, "");
SYMBOL_CRC(snd_device_register, 0xb78b3c10, "");
SYMBOL_CRC(snd_device_get_state, 0x0ac32733, "_gpl");
SYMBOL_CRC(snd_seq_root, 0xd45fb74e, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x5c3e494b, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xf89bcc0f, "");
SYMBOL_CRC(snd_info_free_entry, 0x3e673123, "");
SYMBOL_CRC(snd_info_register, 0x36c33fe4, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xba9d3f94, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xe27bef47, "");
SYMBOL_CRC(snd_unregister_oss_device, 0xbaa6822a, "");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x5820e40d, "");
SYMBOL_CRC(snd_jack_new, 0x25a21316, "");
SYMBOL_CRC(snd_jack_set_parent, 0xcf1b737c, "");
SYMBOL_CRC(snd_jack_set_key, 0xc26af789, "");
SYMBOL_CRC(snd_jack_report, 0x35adc838, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82279e5b, "input_allocate_device" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8396be41, "__init_rwsem" },
	{ 0x9beb0034, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x692caed4, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x4b5aeef8, "proc_mkdir_mode" },
	{ 0x3655bf5a, "device_initialize" },
	{ 0x91837bc3, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xc9e44987, "input_unregister_device" },
	{ 0x16508fbd, "xa_store_range" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91913dde, "seq_lseek" },
	{ 0xe125c7af, "add_wait_queue" },
	{ 0x98772143, "proc_create_data" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x4d033809, "import_ubuf" },
	{ 0x2812e2, "get_device" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x5d7babc4, "devres_add" },
	{ 0xbc5ab263, "single_open_size" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x29caaff7, "dev_driver_string" },
	{ 0x8ff287ca, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x7d0c7030, "input_register_device" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0xba9a3be3, "register_sound_special_device" },
	{ 0x1f091bfb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x347e605a, "down_write" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x4f0c8045, "up_write" },
	{ 0xe6e08ab6, "device_add" },
	{ 0x5255f30, "init_uts_ns" },
	{ 0xdf4dbd7e, "xa_load" },
	{ 0xf4566866, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xc74c8b22, "input_set_capability" },
	{ 0x5a921311, "strncmp" },
	{ 0x50becb5, "__devres_alloc_node" },
	{ 0x24f39d4e, "fasync_helper" },
	{ 0x5eef0c64, "devm_remove_action_nowarn" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe4f5554f, "device_del" },
	{ 0xaec434e6, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xec700892, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xfda76619, "input_event" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xd25a071d, "proc_remove" },
	{ 0xcdd5fe29, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xd49dfb18, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3477fb23, "xa_erase" },
	{ 0x276bd168, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf665f01d, "rt_read_lock" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xa55f6b53, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x5ee21435, "proc_set_size" },
	{ 0x6bc9662e, "__register_chrdev" },
	{ 0x28340998, "rt_read_unlock" },
	{ 0xa5beffb4, "kobject_set_name" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0x7670bd9b, "_copy_from_iter" },
	{ 0x198a8834, "downgrade_write" },
	{ 0x47b526f8, "remove_wait_queue" },
	{ 0xe9a7dd53, "stream_open" },
	{ 0x26f424b4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe901a9e2, "pid_vnr" },
	{ 0x6595630a, "devres_find" },
	{ 0xa20b91f, "__devm_add_action" },
	{ 0xd8bc7a31, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0x969c9c41, "proc_symlink" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x16507f27, "single_open" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe1e4fe3, "up_read" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x4ecd8eac, "put_pid" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "0B1ADDF7273F95C3358D715");
MODULE_INFO(rhelversion, "10.1");
