#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xb089a677, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0xd0508962, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xbffcef36, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0xf6f60aed, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0xe1d666f5, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xac186d87, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x5a633fcd, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xa485f7c7, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x86d25f62, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x5ab44a83, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x8876754a, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x51bc2afd, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xa18034ba, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xc8d92ebb, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xac34ff1a, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xcec00877, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0x679d8640, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x6e911a6d, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0xf537169f, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0xa2afcc0b, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0xeb490520, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x7a79387b, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x842dec3b, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xfeaab9ce, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x6f01d205, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x075d11f4, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0xb59056c4, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x630aa143, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xd5a53c68, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0xfe42a5a0, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x48e3b121, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x869c6eb9, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x4f5b03f7, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x5ca64a30, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x80489197, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xfc85cd55, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x3cb2f4bc, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x3e58387c, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xd6325831, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x45b46cd3, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x6d79332e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0xfbd291c6, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0xb116ab67, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xf33a179f, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x2600b969, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xac1760e9, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x31eb4787, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x67f35e5a, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x0a2d5778, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x1bff2d2d, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x08f56806, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x43ca251e, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0xefbb0072, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x4f9c1d0e, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xf6518ab5, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x75b1d62a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x00d5d0c4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x246af8f7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x8e751a01, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x33b3108b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x73a7ad83, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x6c3ac52a, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x64798e91, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x5e7fc6a0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x27794ff2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x8af480e7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x8ac9a5c2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x958ffc41, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xfc882a5d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x3cc5e6f0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x7924bfc8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x93c5327d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x29d19c39, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x7914ae0f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xa907990f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0xaf4bd419, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x3b309d87, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x1564c9fb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x21cfb341, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x0513cb52, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x48c7bb96, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x8d64fdff, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xf9e44c42, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xb469e69f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x54ffb3b3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xc937d027, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x89eae740, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x0f3c592e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xe09de25e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xbe5aca11, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x438ababb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x5602b1e3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x523f6b93, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xd66390fb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x4a335d60, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x3b99915c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x2890e884, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0x31a4df57, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xc82f2aa9, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x0e5723eb, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x4996ac29, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x1144bc08, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x64bf42f4, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0xf4c8698a, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x195290fd, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x59d390a2, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0xca5e9223, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0xaedb2896, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x93b308a7, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x0af45826, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x4377168a, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0xddcd53d9, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xcc5cf0fc, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x1aaaeeea, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x23dcc58d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x66b14383, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0xbb1feea4, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x18a31373, "_gpl");
SYMBOL_CRC(snd_soc_dai_prepare, 0xb9d39bb7, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xb3cc6ce2, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x1bc25bec, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x2b8d8879, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0xedcbf692, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x3bac1060, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0xb209a429, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xb9c9d5f2, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x70516c36, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0x48536d91, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x0303e50e, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xf25b9211, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x922f9213, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xe19da3f9, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0xd2178a82, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x2e970f7d, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x0cfd3b3d, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0xa6d2106f, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0xcf80be26, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xb5dd2b5b, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x17f0600f, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0xd3166d3a, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x635a90f3, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x4ac6a144, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x440bc95e, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xb2a4bbdd, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xc722fed9, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x42e260b5, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x0be947d2, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xf7f0add9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x43241c96, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x6b28420b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x10d0e919, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x969f4326, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x56fa354a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x76438ef1, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x63154ae5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x86547e44, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x08540180, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x56c4a4eb, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x288cfd0a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xb7b1ca59, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x4e7e7db7, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xec675ebd, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x2ae7d8c5, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x5d4b4aff, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x53626d58, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x61aafdc9, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xdce5f805, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xc9163d1d, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xae08e091, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xed545f16, "_gpl");
SYMBOL_CRC(widget_in_list, 0xef0963ba, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xa326dd72, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x5231169f, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x13c326cc, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x9d601278, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x6d6c281a, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x4dc59e6a, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x57ef81cf, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x866af6db, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x15e3b71c, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x85bb3644, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xb6458eda, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x2d61cf0f, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0xbba3cdb9, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x65802996, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0xe30f6abc, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x5ade4d40, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x68e91861, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xfb6059a6, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x261f228b, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0xe371fb3d, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x4bc3ca90, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x91baa3d4, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x2bdce3ba, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x0541118a, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x47c54792, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x4213c69f, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xd4d1c429, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x32772a5e, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x10e3fee5, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0xb0e85c83, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x0e849844, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x5a045d17, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x685da6d6, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0xdf01466e, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0xfc4fa564, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x6d5efcac, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xcfb60c62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x99c05030, "gpiod_get_value_cansleep" },
	{ 0xb84610fd, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x8396be41, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xc6b0126b, "gpiod_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5119e354, "regmap_write" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0xb3a02040, "of_property_read_variable_u32_array" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0xe7fa40c9, "regmap_get_val_bytes" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0x5f287006, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc2e0f8a9, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x35adc838, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcaf28dd, "trace_raw_output_prep" },
	{ 0xc888365, "regmap_raw_read" },
	{ 0x1e7107fc, "snd_card_register" },
	{ 0xf845d666, "device_unregister" },
	{ 0xf3ef6127, "snd_card_free" },
	{ 0x671bbc88, "__trace_trigger_soft_disabled" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x2cd7c870, "trace_event_printf" },
	{ 0x1714e5bd, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x5c7141c9, "gpiod_get_index" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xfc7dde59, "snd_pcm_hw_constraint_minmax" },
	{ 0x8681c9a8, "trace_event_raw_init" },
	{ 0xeb55b268, "gpiod_to_irq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x91913dde, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x41d4c40a, "regcache_mark_dirty" },
	{ 0x606e2813, "bpf_trace_run2" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x590a4b64, "regulator_disable_deferred" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xa988812d, "snd_ctl_free_one" },
	{ 0x80908d57, "snd_ctl_find_id" },
	{ 0x504c9f8f, "devm_clk_get" },
	{ 0x5d7babc4, "devres_add" },
	{ 0xf3b05e2e, "snd_pcm_new_internal" },
	{ 0xd511234e, "of_get_property" },
	{ 0x3402411e, "blocking_notifier_chain_register" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82cb4b1c, "pinctrl_pm_select_default_state" },
	{ 0xb842fe53, "trace_event_buffer_commit" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x19a7a38d, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xeba498e9, "snd_pcm_stream_unlock_irq" },
	{ 0x96bc7846, "pm_wakeup_dev_event" },
	{ 0xbb73d4cf, "blocking_notifier_call_chain" },
	{ 0xeb3c6851, "devm_kstrdup" },
	{ 0xd4467d16, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x91f527b7, "debugfs_lookup_and_remove" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xd9c9b0e1, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f4d172f, "devm_regulator_get" },
	{ 0x660fac43, "_dev_info" },
	{ 0x1f091bfb, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x9f208eab, "snd_card_new" },
	{ 0xcf9579c0, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5c8629f1, "devm_kmemdup" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x7573436a, "perf_trace_run_bpf_submit" },
	{ 0x3849246e, "devm_kfree" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xec6b5971, "pinctrl_pm_select_sleep_state" },
	{ 0x20ea2b87, "simple_open" },
	{ 0x1a8ace99, "__of_parse_phandle_with_args" },
	{ 0xc8dc5d36, "snd_pcm_lib_ioctl" },
	{ 0xf3935629, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x25a21316, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x5370b8eb, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x5820e40d, "snd_jack_add_new_kctl" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xcab10ea9, "dev_get_regmap" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x50becb5, "__devres_alloc_node" },
	{ 0xb766637, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x8ce188f8, "snd_ctl_notify" },
	{ 0x59e6a96, "of_property_read_string" },
	{ 0x4595b6c1, "regulator_allow_bypass" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1fb41165, "of_find_property" },
	{ 0xc1f734cb, "snd_pcm_set_ops" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5d42463e, "regmap_async_complete" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaf0c0c91, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdf14a63f, "device_register" },
	{ 0xf19aa153, "bpf_trace_run1" },
	{ 0x86562641, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xbd663a90, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa60c3ca9, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5e442385, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xd6994b95, "of_graph_get_port_parent" },
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0x8009f799, "devm_kasprintf" },
	{ 0xd436dbfd, "pinctrl_lookup_state" },
	{ 0x4242166b, "bpf_trace_run3" },
	{ 0x276bd168, "seq_read" },
	{ 0x3e86803e, "blocking_notifier_chain_unregister" },
	{ 0x323f157, "platform_device_register_full" },
	{ 0xad36c304, "regmap_read" },
	{ 0x2e8be663, "trace_event_buffer_reserve" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb96d8c51, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x71be355a, "pinctrl_select_state" },
	{ 0xb7911cb6, "snd_power_wait" },
	{ 0x6361b6d1, "snd_pcm_hw_constraint_msbits" },
	{ 0x26f424b4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x377d088e, "of_count_phandle_with_args" },
	{ 0x2f85a02b, "regmap_update_bits_base" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0xba2cb718, "device_add_groups" },
	{ 0x80f20a28, "__pm_runtime_suspend" },
	{ 0x329b1c17, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x67be92ba, "regmap_raw_write" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x16507f27, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe2cde622, "of_property_read_string_helper" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd");


MODULE_INFO(srcversion, "128B32E03F2943A35F8924B");
MODULE_INFO(rhelversion, "10.1");
