#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x07c48c67, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x41557d6f, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xd5bb3b31, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xb7aaad40, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xbafb886c, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xd09e441f, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xd045acc2, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xd49a36bc, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x1dcaca18, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x698428f8, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xe0150ef5, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x18250869, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x59f236ba, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xf528803a, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x09f8fc52, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xf4256e2f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xf41982c2, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x55934e38, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x32b30791, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xb1afef0d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x929dad6b, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xf1247e12, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xfbe7400c, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x28c03903, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x02ef0dbc, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x5597dbfb, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x1a0e21c9, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xefbc6d18, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x0864a45c, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xef01e033, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x9b8fb33c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2856d5dd, "kthread_queue_work" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xe41d3d78, "kthread_create_worker_on_node" },
	{ 0x89040069, "wake_up_process" },
	{ 0x660fac43, "_dev_info" },
	{ 0xf1c45eb0, "sched_set_fifo" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0x4b6744, "crypto_register_aead" },
	{ 0x2a28c487, "crypto_unregister_aead" },
	{ 0x4f3f4a3e, "crypto_register_ahash" },
	{ 0x43e917d4, "crypto_unregister_ahash" },
	{ 0x9417fcff, "crypto_register_akcipher" },
	{ 0x6d8d14f0, "crypto_unregister_akcipher" },
	{ 0x85bfa7e1, "crypto_register_kpp" },
	{ 0x8c178946, "crypto_unregister_kpp" },
	{ 0x9e5fe5cb, "crypto_register_skcipher" },
	{ 0xa271c1ed, "crypto_unregister_skcipher" },
	{ 0x9b2f2f02, "crypto_dequeue_request" },
	{ 0xf338df65, "crypto_enqueue_request_head" },
	{ 0x253e8caa, "kthread_destroy_worker" },
	{ 0x396d7641, "crypto_enqueue_request" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CD1919E175C20840C34582");
MODULE_INFO(rhelversion, "10.1");
