#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x5579b86b, "");
SYMBOL_CRC(acpi_video_get_edid, 0xcff58e34, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x3b7235aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82279e5b, "input_allocate_device" },
	{ 0x5e526e59, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6d3da753, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x2b8b8803, "backlight_force_update" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd893d4d0, "pci_dev_put" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x65cbdee2, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xc9e44987, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f98d4fa, "acpi_device_fix_up_power_children" },
	{ 0xaf9c949c, "acpi_dev_remove_notify_handler" },
	{ 0xdfbaa92a, "thermal_cooling_device_register" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xa45a3e0d, "__acpi_bus_register_driver" },
	{ 0x25718db5, "pci_read_config_dword" },
	{ 0x8ff287ca, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d0c7030, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x660fac43, "_dev_info" },
	{ 0x7b8374db, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x45d6f117, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x5a1dfd4, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x2633c6b7, "acpi_get_pci_dev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfda76619, "input_event" },
	{ 0xc13137eb, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xae2e03f7, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e85f10b, "acpi_fetch_acpi_dev" },
	{ 0x99396ef, "param_ops_bool" },
	{ 0xf8ae1ccb, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xefd88513, "backlight_device_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3a811a8d, "acpi_dev_for_each_child" },
	{ 0xefd50a41, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "5575A3EB4CA2F058ECD5E32");
MODULE_INFO(rhelversion, "10.1");
