#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeceb02b1, "drm_mode_config_helper_resume" },
	{ 0x6ca6a27e, "drm_mode_config_helper_suspend" },
	{ 0xd757957c, "drm_atomic_helper_shutdown" },
	{ 0x7acdd65d, "drm_dev_unplug" },
	{ 0x23082468, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x8780b66, "drm_atomic_helper_check_plane_state" },
	{ 0xe03bad0a, "pci_unregister_driver" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x29caaff7, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x9ed82fb9, "__pci_register_driver" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0xac82fb54, "drm_dev_enter" },
	{ 0x128d01f4, "__drm_dev_dbg" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0x77358855, "iomem_resource" },
	{ 0x53eb2d92, "__devm_request_region" },
	{ 0x2b2a9e79, "devm_ioremap" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2bd2150e, "devm_ioremap_wc" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x92997ed8, "_printk" },
	{ 0x99b4be9e, "aperture_remove_conflicting_pci_devices" },
	{ 0x348d1140, "__devm_drm_dev_alloc" },
	{ 0x16817b3b, "pcim_enable_device" },
	{ 0x5fb373e7, "drm_dev_put" },
	{ 0x419e7484, "drmm_mode_config_init" },
	{ 0x9b3a35cd, "drm_universal_plane_init" },
	{ 0x80213488, "drm_plane_enable_fb_damage_clips" },
	{ 0xeffad425, "drm_crtc_init_with_planes" },
	{ 0x1bf94531, "drm_encoder_init" },
	{ 0x20a91cfb, "drm_connector_init" },
	{ 0xe7877b7c, "drm_connector_attach_edid_property" },
	{ 0xe55722ac, "drm_connector_attach_encoder" },
	{ 0x605bf730, "drm_mode_config_reset" },
	{ 0x331cb57e, "drm_dev_register" },
	{ 0xf0372d09, "drm_client_setup" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x38f23805, "drm_edid_read_custom" },
	{ 0x8cc46e1a, "drm_edid_connector_update" },
	{ 0xf4bfe62b, "drm_edid_connector_add_modes" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x3a7d4eea, "drm_add_modes_noedid" },
	{ 0x79706219, "drm_set_preferred_mode" },
	{ 0xf56ff391, "drm_atomic_helper_damage_iter_init" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xe4dc41f5, "drm_fb_memcpy" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x5f2fbd7a, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xff2e27b5, "drm_gem_shmem_dumb_create" },
	{ 0xb00607df, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0x78be3e61, "drm_gem_fb_create_with_dirty" },
	{ 0xc620490, "drm_atomic_helper_check" },
	{ 0xf3521e38, "drm_atomic_helper_commit" },
	{ 0x3993e035, "drm_atomic_helper_update_plane" },
	{ 0xc9efebef, "drm_atomic_helper_disable_plane" },
	{ 0x2ed572a, "drm_plane_cleanup" },
	{ 0x954c95f5, "drm_gem_reset_shadow_plane" },
	{ 0x9a452566, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x7c8d6884, "drm_gem_destroy_shadow_plane_state" },
	{ 0xdc754ac0, "drm_gem_begin_shadow_fb_access" },
	{ 0xcfff89d9, "drm_gem_end_shadow_fb_access" },
	{ 0x80c6aaa7, "drm_atomic_helper_crtc_reset" },
	{ 0xdd9ba936, "drm_crtc_cleanup" },
	{ 0xad1e4f19, "drm_atomic_helper_set_config" },
	{ 0x9049542, "drm_atomic_helper_page_flip" },
	{ 0xc427e674, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb2719565, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xc241154, "drm_encoder_cleanup" },
	{ 0x7220713, "drm_atomic_helper_connector_reset" },
	{ 0x1acc83e1, "drm_helper_probe_single_connector_modes" },
	{ 0x3c547193, "drm_connector_cleanup" },
	{ 0x18edfe80, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x38af77ff, "drm_atomic_helper_connector_destroy_state" },
	{ 0xf4566866, "noop_llseek" },
	{ 0xbc872b2e, "drm_read" },
	{ 0xb311aaab, "drm_poll" },
	{ 0xb0b96f63, "drm_ioctl" },
	{ 0x93870e3e, "drm_gem_mmap" },
	{ 0xac11cc20, "drm_open" },
	{ 0x271e5fb2, "drm_release" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_client_lib,drm_shmem_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "72549BF486BC256B3223D3C");
MODULE_INFO(rhelversion, "10.1");
