#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0x82cb4b1c, "pinctrl_pm_select_default_state" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xcff43576, "pinctrl_pm_select_idle_state" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc871dfe, "dma_free_attrs" },
	{ 0xb37ebe78, "dma_release_channel" },
	{ 0xa6257a2f, "complete" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x689bf0a6, "i2c_del_adapter" },
	{ 0xb25e1f30, "pm_runtime_force_suspend" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2b378985, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x526e9e2b, "i2c_recover_bus" },
	{ 0xdab41a58, "__dma_sync_single_for_device" },
	{ 0x998c2470, "__dma_sync_single_for_cpu" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x87964455, "device_get_match_data" },
	{ 0x15afe773, "devm_platform_get_and_ioremap_resource" },
	{ 0x40d5023, "platform_get_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xbe7a3284, "devm_request_threaded_irq" },
	{ 0x83eccccb, "i2c_parse_fw_timings" },
	{ 0x4dc7e58c, "device_property_read_bool" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0xf596466a, "set_primary_fwnode" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf619ebda, "i2c_add_numbered_adapter" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0xa8ab43e0, "__devm_reset_control_get" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0x401e3f59, "devm_clk_bulk_get" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf51ecf8e, "dma_request_chan" },
	{ 0xe247f50c, "dma_alloc_attrs" },
	{ 0x1fc584ed, "pm_runtime_irq_safe" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:NVDA0101:*");
MODULE_ALIAS("acpi*:NVDA0201:*");
MODULE_ALIAS("acpi*:NVDA0301:*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");

MODULE_INFO(srcversion, "C75B8F4463BB0AC43F6DEFA");
MODULE_INFO(rhelversion, "10.1");
