#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x82001561, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x4dc7e58c, "device_property_read_bool" },
	{ 0xd0cc845c, "sdhci_enable_v4_mode" },
	{ 0x3839ebff, "sdhci_cqe_irq" },
	{ 0x66aefbcd, "cqhci_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x660fac43, "_dev_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xad56e8ea, "sdhci_reset" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0xdf763482, "sdhci_execute_tuning" },
	{ 0x90ab8803, "cqhci_set_tran_desc" },
	{ 0xa1130404, "sdhci_dumpregs" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0x1b35f133, "sdhci_adma_write_desc" },
	{ 0xf93aae46, "__arm_smccc_smc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8aff47e7, "sdhci_request" },
	{ 0x6c9333b2, "devm_clk_bulk_get_optional" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0xf9f8997c, "cqhci_deactivate" },
	{ 0xc83ba4eb, "sdhci_suspend_host" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85377e54, "sdhci_resume_host" },
	{ 0x441e252d, "cqhci_resume" },
	{ 0x16759c66, "sdhci_cqe_enable" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x1a310063, "cqhci_init" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x3849246e, "devm_kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34629b69, "sdhci_reset_tuning" },
	{ 0x1a911e80, "mmc_send_tuning" },
	{ 0x7b64340d, "of_device_is_compatible" },
	{ 0x5bb3a085, "devm_reset_control_array_get" },
	{ 0xd334005b, "of_property_read_variable_u8_array" },
	{ 0x6e7b9703, "sdhci_start_tuning" },
	{ 0xcbadadae, "__sdhci_execute_tuning" },
	{ 0x172240be, "sdhci_end_tuning" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x17ea9bee, "sdhci_remove_host" },
	{ 0x96b3dc01, "sdhci_pltfm_free" },
	{ 0x87964455, "device_get_match_data" },
	{ 0xe00e138c, "sdhci_pltfm_init" },
	{ 0xcdac9913, "dma_get_required_mask" },
	{ 0x504c9f8f, "devm_clk_get" },
	{ 0xfd6e518e, "mmc_of_parse" },
	{ 0xe7197053, "sdhci_get_property" },
	{ 0x3d3c70d3, "__pm_runtime_set_status" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0x4d3bbd9d, "sdhci_setup_host" },
	{ 0x831a5e34, "__sdhci_add_host" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0x6d40215c, "sdhci_cleanup_host" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1dd7ad94, "sdhci_set_clock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4a420701, "sdhci_cqe_disable" },
	{ 0x48e0f508, "sdhci_set_bus_width" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MLNXBF30:*");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-dwcmshc");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-dwcmshcC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-dwcmshc");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-dwcmshcC*");
MODULE_ALIAS("of:N*T*Csnps,dwcmshc-sdhci");
MODULE_ALIAS("of:N*T*Csnps,dwcmshc-sdhciC*");
MODULE_ALIAS("of:N*T*Csophgo,cv1800b-dwcmshc");
MODULE_ALIAS("of:N*T*Csophgo,cv1800b-dwcmshcC*");
MODULE_ALIAS("of:N*T*Csophgo,sg2002-dwcmshc");
MODULE_ALIAS("of:N*T*Csophgo,sg2002-dwcmshcC*");
MODULE_ALIAS("of:N*T*Cthead,th1520-dwcmshc");
MODULE_ALIAS("of:N*T*Cthead,th1520-dwcmshcC*");
MODULE_ALIAS("of:N*T*Csophgo,sg2042-dwcmshc");
MODULE_ALIAS("of:N*T*Csophgo,sg2042-dwcmshcC*");

MODULE_INFO(srcversion, "636C5A840C1285AB13C1316");
MODULE_INFO(rhelversion, "10.1");
