#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x625a1628, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0xa35d6159, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x3268f375, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0xf7ba8570, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x709b10c2, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xbfe6c919, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xf9adcdc4, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x7cecc0d6, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xff7149a4, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xf5e74c6c, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x6267e738, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0xfc740d0f, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x4d78d05a, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x5ead16fb, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x155c91c5, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8396be41, "__init_rwsem" },
	{ 0x2e1955f3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xaf39ad9, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0x5cc174fc, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49b517ca, "cdev_device_del" },
	{ 0xf845d666, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x3655bf5a, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x91913dde, "seq_lseek" },
	{ 0x7b84fa3a, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2812e2, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1982182a, "get_mtd_device_nm" },
	{ 0x34fd8d8b, "path_put" },
	{ 0x3402411e, "blocking_notifier_chain_register" },
	{ 0xa3e12bae, "get_mtd_device" },
	{ 0x89040069, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x745ccc91, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf354d05, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xbb73d4cf, "blocking_notifier_call_chain" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa0ef81b6, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f091bfb, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xecacf1d9, "cdev_add" },
	{ 0xca48efe7, "mtd_block_markbad" },
	{ 0x347e605a, "down_write" },
	{ 0x4f0c8045, "up_write" },
	{ 0x20ea2b87, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x39c9828e, "unregister_mtd_user" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x2fba0d29, "kmem_cache_free" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1def7471, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x530c149d, "put_mtd_device" },
	{ 0x9081f5b8, "register_mtd_user" },
	{ 0x125e1b66, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd97e4965, "mtd_read" },
	{ 0xaa88ccbf, "kthread_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x13e54942, "freezing_slow_path" },
	{ 0xdf14a63f, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xc4ca6150, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x70b4f2e8, "misc_register" },
	{ 0x1bf96fdc, "kmem_cache_alloc_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xb98a651d, "__kmem_cache_create_args" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xbe7ef163, "mtd_erase" },
	{ 0x4997c4cb, "down_write_trylock" },
	{ 0xcdd5fe29, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xa8d8fc5a, "kthread_create_on_node" },
	{ 0x276bd168, "seq_read" },
	{ 0xae7817da, "__get_mtd_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4f8fe307, "mtd_write" },
	{ 0xb7d30661, "fwnode_property_read_string" },
	{ 0x3e86803e, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b64340d, "of_device_is_compatible" },
	{ 0x25042c7c, "__put_mtd_device" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x7e9861ba, "device_get_named_child_node" },
	{ 0xad7b4e63, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0x33c1bbc6, "mtd_get_device_size" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc59e8456, "seq_open" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0xe17e8614, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe1e4fe3, "up_read" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x7424dce3, "class_register" },
	{ 0x8431909, "cdev_init" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xdf3a4149, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xbdb33a00, "kmem_cache_destroy" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "211B2829909E1419C8F7798");
MODULE_INFO(rhelversion, "10.1");
