#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xf66cd018, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xbd02a44b, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x32fde025, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xcdaf7c7c, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x481e7fd3, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x816a7fd4, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0xa5b38d55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4373a397, "mdiobus_alloc_size" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x42a5589e, "xsk_tx_completed" },
	{ 0x93fab17b, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x219f0118, "xp_alloc" },
	{ 0x31258488, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe654f680, "bpf_prog_put" },
	{ 0x2ba52fe3, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb0684dce, "xp_dma_map" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xa801743, "devm_kmalloc" },
	{ 0x2c33ebd0, "eth_mac_addr" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0x4d79771f, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaae93ce7, "netdev_update_features" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xee685126, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5cf74770, "hrtimer_try_to_cancel" },
	{ 0xe72332fc, "bpf_warn_invalid_xdp_action" },
	{ 0xe3442b88, "unregister_netdev" },
	{ 0xe5c18f24, "xdp_convert_zc_to_xdp_frame" },
	{ 0xe2f3f1ce, "xdp_features_set_redirect_target" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x508ee143, "gpiod_set_value_cansleep" },
	{ 0xc4753ab4, "dma_unmap_page_attrs" },
	{ 0x1a7bded8, "hrtimer_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xc551909a, "ptp_clock_index" },
	{ 0x6824e881, "phy_attached_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91913dde, "seq_lseek" },
	{ 0xfce6f6e1, "page_pool_destroy" },
	{ 0xc875d496, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf35b1995, "netdev_warn" },
	{ 0xc3fa88fd, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x6f2bcc10, "flow_rule_match_ipv4_addrs" },
	{ 0xf9e8a623, "xdp_rxq_info_unreg_mem_model" },
	{ 0x80042eb8, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8e9d8e2f, "netdev_err" },
	{ 0xc5836a1e, "pskb_expand_head" },
	{ 0xe67387f0, "phylink_limit_mac_speed" },
	{ 0xced449a, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x29caaff7, "dev_driver_string" },
	{ 0x82cb4b1c, "pinctrl_pm_select_default_state" },
	{ 0x1bb3f539, "dev_addr_mod" },
	{ 0x19c232a7, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x35670976, "eth_type_trans" },
	{ 0x3d3c70d3, "__pm_runtime_set_status" },
	{ 0x7b2d498c, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x1dbaf191, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x4c028a6b, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x96bc7846, "pm_wakeup_dev_event" },
	{ 0x352eb6b4, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x375949c2, "__napi_schedule" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0xd85c172, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xabdf5c3a, "netif_device_detach" },
	{ 0xdbba4da7, "device_property_read_u32_array" },
	{ 0xde1cadc, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0x660fac43, "_dev_info" },
	{ 0x1a0aee82, "xpcs_create_mdiodev" },
	{ 0xcda13041, "napi_gro_receive" },
	{ 0xd582442c, "netif_device_attach" },
	{ 0xcd01e838, "xdp_features_clear_redirect_target" },
	{ 0x4083cdc5, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x76af8ac, "netdev_pick_tx" },
	{ 0x553850c5, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4d2638da, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa5958b32, "xdp_rxq_info_is_reg" },
	{ 0xbcf15f03, "devm_alloc_etherdev_mqs" },
	{ 0x60c2e3af, "flow_block_cb_setup_simple" },
	{ 0x970a43cc, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x41b532bf, "dev_open" },
	{ 0x998c2470, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xd907e322, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xec6b5971, "pinctrl_pm_select_sleep_state" },
	{ 0x644e22a8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7508de0b, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa02fd864, "ptp_clock_register" },
	{ 0xcc11ce22, "xsk_tx_peek_desc" },
	{ 0xd3b2645f, "__of_mdiobus_register" },
	{ 0xc9c15ec6, "__traceiter_xdp_exception" },
	{ 0x147529d3, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa61504e0, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xcf1021b7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xd74ba324, "skb_push" },
	{ 0xe247f50c, "dma_alloc_attrs" },
	{ 0x31b1b7a3, "debugfs_remove" },
	{ 0xd5b79472, "napi_enable" },
	{ 0x6383feaa, "xsk_clear_rx_need_wakeup" },
	{ 0x96b96e2, "xpcs_get_interfaces" },
	{ 0xf590c910, "xsk_uses_need_wakeup" },
	{ 0x10b53c90, "register_netdev" },
	{ 0x6e787e0b, "xsk_get_pool_from_qid" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa82386c4, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3290e537, "debugfs_change_name" },
	{ 0xfe2b6d90, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b982865, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x85fea365, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xd1101c21, "netif_tx_wake_queue" },
	{ 0x990c5b97, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x2001234c, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x9cff9a3a, "flow_rule_match_ports" },
	{ 0xd6cf6d3e, "phylink_fwnode_phy_connect" },
	{ 0x5afafd95, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa77d5641, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9cd125d3, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x72db3dcc, "fwnode_get_named_child_node" },
	{ 0x2cbe2038, "netdev_set_tc_queue" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0x45533ba7, "ptp_clock_unregister" },
	{ 0x83aa4100, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x622d0ef4, "xpcs_get_an_mode" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x52230c32, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa03f81e4, "xdp_return_frame_rx_napi" },
	{ 0xb440ae81, "netdev_alert" },
	{ 0x86f0a2c, "dma_set_coherent_mask" },
	{ 0x276bd168, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbb84de83, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe9f5d891, "fwnode_find_reference" },
	{ 0xc1c98d47, "phylink_ethtool_ksettings_set" },
	{ 0xf665f01d, "rt_read_lock" },
	{ 0xa49441cf, "fwnode_property_present" },
	{ 0xeb50175c, "xsk_set_tx_need_wakeup" },
	{ 0xd9a3f891, "netdev_reset_tc" },
	{ 0xc871dfe, "dma_free_attrs" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdab41a58, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69ea9be3, "xp_set_rxq_info" },
	{ 0xaf4cd65, "flow_rule_match_vlan" },
	{ 0xeb2d7ae5, "xdp_rxq_info_unreg" },
	{ 0x33f41f5a, "page_pool_alloc_pages" },
	{ 0x38f25ab9, "__xdp_rxq_info_reg" },
	{ 0x28340998, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2352d3f9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x811b149d, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x39449f12, "netif_carrier_on" },
	{ 0xf7a4dd99, "netdev_set_num_tc" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xdbcd5844, "debugfs_create_file_full" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x75f2e0c4, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5285e29c, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x5a9e19fa, "xp_free" },
	{ 0x26f424b4, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x23742b14, "dma_set_mask" },
	{ 0x2955f2e5, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xe642e22d, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x79c5974e, "skb_add_rx_frag_netmem" },
	{ 0x626ed813, "xdp_master_redirect" },
	{ 0x5dbb8707, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xe3fa5b66, "napi_schedule_prep" },
	{ 0x7ddced13, "napi_disable" },
	{ 0xd1c24461, "dev_kfree_skb_any_reason" },
	{ 0x819e6b57, "eth_header_parse_protocol" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0xae8f4914, "phylink_pcs_pre_init" },
	{ 0x16507f27, "single_open" },
	{ 0xaa889ee8, "__pm_runtime_disable" },
	{ 0x6f442632, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa80f2e4e, "skb_clone_tx_timestamp" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8424df99, "ethtool_op_get_ts_info" },
	{ 0x3680f69d, "xsk_tx_release" },
	{ 0xb3b6955d, "__dev_fwnode" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x13d420f8, "netdev_info" },
	{ 0xa859e633, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "8F451B7A74FD18F3AD0A217");
MODULE_INFO(rhelversion, "10.1");
