#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x67e8aa99, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x60fd6305, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xed0b54d0, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x322ef5ab, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x4fa06c69, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x9e301f94, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x34c00809, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xcd9d3244, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x7aefda2c, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xb78b38af, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x7e461b3b, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x70482240, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x440f8bfc, "_gpl");
SYMBOL_CRC(usbnet_open, 0xda5071a7, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xc02ce59f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x2082d90c, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xecf96c64, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x4a108530, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xff81387a, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5652f19a, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xa9642b34, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x91ce9ec1, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x041dd9e4, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x90591a45, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x85f89a7f, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x553061dc, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x0b18b194, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x3216b889, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x07e9781d, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xacd40bbc, "");
SYMBOL_CRC(usbnet_manage_power, 0xa08aa497, "");
SYMBOL_CRC(usbnet_link_change, 0x61ea8710, "");
SYMBOL_CRC(usbnet_read_cmd, 0x8e6fbae2, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x7027103b, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x2ee02dcb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xe7bad805, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x21c69db4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7439b23, "usb_set_interface" },
	{ 0xe1085b9c, "usb_string" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x1bb3f539, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x52230c32, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb7820558, "skb_queue_purge_reason" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x2f13aeb2, "usb_get_urb" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xc6ce3bf5, "usb_unlink_urb" },
	{ 0x4776f993, "usb_free_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe125c7af, "add_wait_queue" },
	{ 0x47b526f8, "remove_wait_queue" },
	{ 0x428ccc18, "usb_submit_urb" },
	{ 0x8e9d8e2f, "netdev_err" },
	{ 0x79ee026a, "mii_ethtool_get_link_ksettings" },
	{ 0xca9f1eb1, "mii_ethtool_set_link_ksettings" },
	{ 0xb29c7d2d, "mii_nway_restart" },
	{ 0x1d64bbdb, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xabdf5c3a, "netif_device_detach" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x5eaa022b, "usb_kill_urb" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xd582442c, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3702a3c1, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe6d29042, "usb_autopm_get_interface" },
	{ 0x33745b71, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaa019de1, "usb_alloc_urb" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x24203d61, "mii_link_ok" },
	{ 0x3b982865, "ethtool_op_get_link" },
	{ 0x39449f12, "netif_carrier_on" },
	{ 0x2352d3f9, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe3442b88, "unregister_netdev" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0xb8978307, "usb_get_from_anchor" },
	{ 0xed3a0d7d, "free_netdev" },
	{ 0x13d420f8, "netdev_info" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa1cb8af6, "skb_defer_rx_timestamp" },
	{ 0xc846f36e, "netif_rx" },
	{ 0x35670976, "eth_type_trans" },
	{ 0xb528543e, "skb_queue_tail" },
	{ 0x15f6d61d, "alloc_etherdev_mqs" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x10b53c90, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1855a472, "pm_runtime_enable" },
	{ 0x3ca31d76, "usb_check_bulk_endpoints" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x86784c5b, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa80f2e4e, "skb_clone_tx_timestamp" },
	{ 0xe20da610, "usb_autopm_get_interface_async" },
	{ 0xd1c24461, "dev_kfree_skb_any_reason" },
	{ 0x4d79771f, "skb_tstamp_tx" },
	{ 0x133e800a, "usb_anchor_urb" },
	{ 0x17820586, "__netdev_alloc_skb" },
	{ 0xd1101c21, "netif_tx_wake_queue" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0xff9e39b4, "usb_autopm_get_interface_no_resume" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0x7172e14c, "usb_clear_halt" },
	{ 0x2c33ebd0, "eth_mac_addr" },
	{ 0xc73882a5, "eth_validate_addr" },
	{ 0x8424df99, "ethtool_op_get_ts_info" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DFB1B1170CF0A5915C4CD78");
MODULE_INFO(rhelversion, "10.1");
