#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x9b3d78c6, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x043b5fe7, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x876f7370, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xa1a347e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xfa9829c5, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x23356efa, "__nlmsg_put" },
	{ 0x8fab6f9b, "netdev_adjacent_change_commit" },
	{ 0x2c33ebd0, "eth_mac_addr" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb4121c3d, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x969e972, "ip6_dst_hoplimit" },
	{ 0xe8aeb784, "param_ops_ushort" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x838fede8, "nla_put_64bit" },
	{ 0xbcd8ba78, "udp_sock_create4" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x5fa2c249, "udp_tunnel6_xmit_skb" },
	{ 0x5f02dbe, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5b31d295, "__unregister_nexthop_notifier" },
	{ 0xc569b8a6, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc73882a5, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8e6c1c87, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb992698b, "rtnl_create_link" },
	{ 0xa991ee48, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x649dd39c, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xe129e53e, "ether_setup" },
	{ 0x2c1995c0, "udp_tunnel_drop_rx_port" },
	{ 0x93d39180, "netdev_upper_dev_link" },
	{ 0xc5836a1e, "pskb_expand_head" },
	{ 0xfff195a9, "register_pernet_subsys" },
	{ 0x1bb3f539, "dev_addr_mod" },
	{ 0x35670976, "eth_type_trans" },
	{ 0x19f2618b, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x3f088838, "__alloc_skb" },
	{ 0x9a4c1a26, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x347719a1, "eth_gro_complete" },
	{ 0xd60a547f, "rtnl_set_sk_err" },
	{ 0x63aef583, "eth_gro_receive" },
	{ 0x9530fc6d, "rtnl_configure_link" },
	{ 0x96cb33b7, "skb_tunnel_check_pmtu" },
	{ 0x9a939e29, "udp_tunnel_dst_lookup" },
	{ 0x941e4cef, "rtnl_unicast" },
	{ 0xb021cdfa, "peernet2id" },
	{ 0x26593300, "__skb_get_hash_net" },
	{ 0x45aec3c6, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xcd76e682, "__dev_get_by_index" },
	{ 0xe7c0c1dd, "rtnl_link_unregister" },
	{ 0x8e5bb4d3, "ipv6_stub" },
	{ 0x644e22a8, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x98102c08, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4628b658, "dev_get_by_index_rcu" },
	{ 0xb5ed163a, "gro_cells_receive" },
	{ 0xd74ba324, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xf9de760e, "netdev_upper_dev_unlink" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0xecf369aa, "__rtnl_register_many" },
	{ 0xed3a0d7d, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdb45644, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xda1bb03d, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb15c28fe, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3b982865, "ethtool_op_get_link" },
	{ 0xb9fd9576, "nexthop_find_by_id" },
	{ 0x32e8ebf9, "arp_create" },
	{ 0xbdfe9b68, "__ethtool_get_link_ksettings" },
	{ 0x4d9d24b4, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x70805041, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xe9e5a9de, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xb1e10a18, "rht_bucket_nested_insert" },
	{ 0xff61eca1, "netdev_adjacent_change_abort" },
	{ 0x7766021b, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfe5903c9, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x544b657e, "__iptunnel_pull_header" },
	{ 0x33b2fda1, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc846f36e, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x8d8c6d40, "rhashtable_destroy" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xc93cbe5c, "setup_udp_tunnel_sock" },
	{ 0x33a14e85, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3f1621ff, "skb_trim" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x52230c32, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x141facc1, "skb_scrub_packet" },
	{ 0xa5a7977e, "nexthop_select_path" },
	{ 0xae44660, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xca15008b, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x569dd642, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x9f8d0403, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x99396ef, "param_ops_bool" },
	{ 0x1f16cf0d, "udp_tun_rx_dst" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x6e464d1d, "rtnl_notify" },
	{ 0xcff9f6d0, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3670d12e, "__netif_rx" },
	{ 0xbae905c6, "skb_clone" },
	{ 0x5f125f75, "metadata_dst_alloc" },
	{ 0x65b98fa5, "dst_release" },
	{ 0xb49a4b32, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x619474c, "udp_tunnel_notify_del_rx_port" },
	{ 0xa1b063c2, "register_nexthop_notifier" },
	{ 0x67b5a87e, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3031b8a7, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xebc0a4f1, "gro_find_receive_by_type" },
	{ 0x75e7aec8, "netdev_core_stats_inc" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x13d420f8, "netdev_info" },
	{ 0x4585c54d, "neigh_lookup" },
	{ 0x34e947f7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4bf6c3b4, "register_netdevice" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "20034CCFB025299E39863E2");
MODULE_INFO(rhelversion, "10.1");
