#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x4857fa40, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x176e092d, "nvme_remove_admin_tag_set" },
	{ 0x7791a418, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9c6a9e34, "ida_alloc_range" },
	{ 0xd6a4a58f, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x804532e2, "ida_destroy" },
	{ 0x95a6315e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc99bfc0f, "nvmf_free_options" },
	{ 0x8ece1925, "nvmf_subsystem_reset" },
	{ 0x38623ca4, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0xc13171b4, "nvme_stop_keep_alive" },
	{ 0x255a9343, "blk_mq_complete_request_remote" },
	{ 0xc4753ab4, "dma_unmap_page_attrs" },
	{ 0x88e8315d, "nvme_setup_cmd" },
	{ 0x38b5e403, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x637660f0, "nvme_alloc_admin_tag_set" },
	{ 0x98a81d68, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xc0833df2, "nvmf_reg_read32" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x41db8925, "nvme_delete_ctrl" },
	{ 0x2812e2, "get_device" },
	{ 0x29caaff7, "dev_driver_string" },
	{ 0x1291557, "nvmf_get_address" },
	{ 0x7b2d498c, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbcb49aea, "nvme_remove_io_tag_set" },
	{ 0xbca94b31, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe524c58, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x581f1fea, "nvmf_unregister_transport" },
	{ 0x948a4c2f, "blkcg_get_fc_appid" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93e41c9, "nvme_change_ctrl_state" },
	{ 0x660fac43, "_dev_info" },
	{ 0xd4d220f4, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x9f4348dd, "nvme_alloc_io_tag_set" },
	{ 0xdacb5bf5, "nvme_fail_nonready_command" },
	{ 0x6b4ad48b, "kobject_uevent_env" },
	{ 0x998c2470, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x15c848f1, "device_create" },
	{ 0xc4c38f0, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x727698cc, "__blk_rq_map_sg" },
	{ 0x7393ed14, "ida_free" },
	{ 0xb19c2288, "nvmf_reg_read64" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x125e1b66, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe4defdb4, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x53c1d9a1, "nvme_enable_ctrl" },
	{ 0x2f71d157, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb12d643e, "nvme_unquiesce_io_queues" },
	{ 0x160db09e, "blk_mq_update_nr_hw_queues" },
	{ 0xfc1a1a71, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5f97a449, "nvmf_should_reconnect" },
	{ 0xdab41a58, "__dma_sync_single_for_device" },
	{ 0xcd8458cc, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4ed32d50, "device_destroy" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x3134a8af, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xa7f51a10, "nvmf_register_transport" },
	{ 0xd1a26c47, "blk_mq_start_request" },
	{ 0x1d2c35c2, "nvme_quiesce_io_queues" },
	{ 0x35e9c367, "blk_mq_tagset_busy_iter" },
	{ 0xf1fd581a, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdc9cd327, "dma_unmap_sg_attrs" },
	{ 0xae9507c3, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xab26e2, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x8b14b285, "nvme_quiesce_admin_queue" },
	{ 0x7424dce3, "class_register" },
	{ 0xdc8e331, "__nvme_check_ready" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xb5fbead7, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d48dfa0, "nvme_add_ctrl" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "0DC05964C13AE07638D6D61");
MODULE_INFO(rhelversion, "10.1");
