#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qcom_smd_register_edge, "", "");
KSYMTAB_FUNC(qcom_smd_unregister_edge, "", "");

SYMBOL_CRC(qcom_smd_register_edge, 0x3ff3b6b5, "");
SYMBOL_CRC(qcom_smd_unregister_edge, 0xadc8e61f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf845d666, "device_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x8c23a862, "device_for_each_child" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa97cfa4f, "mbox_free_channel" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x2e8b936c, "__platform_driver_register" },
	{ 0x2059716f, "platform_driver_unregister" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x5cc4c523, "of_node_get" },
	{ 0xb3a02040, "of_property_read_variable_u32_array" },
	{ 0xdd8e7426, "mbox_request_channel" },
	{ 0x59e6a96, "of_property_read_string" },
	{ 0x66a6854f, "irq_of_parse_and_map" },
	{ 0xbe7a3284, "devm_request_threaded_irq" },
	{ 0x7dd0fc1f, "of_node_put" },
	{ 0x1a8ace99, "__of_parse_phandle_with_args" },
	{ 0x7c9dc319, "syscon_node_to_regmap" },
	{ 0x1e8554e2, "of_property_read_u32_index" },
	{ 0xbb9e34a4, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c0ccadd, "mbox_send_message" },
	{ 0x1a0fc9f8, "mbox_client_txdone" },
	{ 0x5119e354, "regmap_write" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdcb764ad, "memset" },
	{ 0xdca2662e, "of_get_next_available_child" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3e564a0, "rpmsg_register_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x922eaec8, "rpmsg_unregister_device" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xeeffa750, "qcom_smem_get" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5a710273, "qcom_smem_get_free_space" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0xdf14a63f, "device_register" },
	{ 0x6ca4abaa, "rpmsg_register_device_override" },
	{ 0x92997ed8, "_printk" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0x2673f635, "qcom_smem_is_available" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1000e51, "schedule" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "rpmsg_core,smem");

MODULE_ALIAS("of:N*T*Cqcom,smd");
MODULE_ALIAS("of:N*T*Cqcom,smdC*");

MODULE_INFO(srcversion, "41CCF9139389BD2F55CFDF5");
MODULE_INFO(rhelversion, "10.1");
