#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xa7dee166, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xa92795de, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xf7df1aa6, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x67dacacb, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x5b677f1b, "");
SYMBOL_CRC(sas_resume_ha, 0xe3cbaea8, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xe3061808, "");
SYMBOL_CRC(sas_suspend_ha, 0x8b47fb9c, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x61e86e69, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xd97f78a1, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x34de6437, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x74b43abf, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x65c8cd94, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xa2b8a171, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x6e7c2f8a, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x4272e921, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x27d5a716, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xdbd33609, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x70a34d7f, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x1f943c1a, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xe8be4742, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0x03a3da06, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x7ae3ff33, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x62292743, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x5bf1174c, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x3824c620, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x1f5ebe1a, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xd71df096, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x5969269e, "_gpl");
SYMBOL_CRC(sas_query_task, 0x1e4bb0a6, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x3eeba600, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xb6d79ded, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0x67f958b0, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xdd31a095, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x10a08362, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xa7273628, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x24d3471a, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xe305cab8, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x77605418, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xbf48b34e, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0x4ee75137, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f013fe6, "ata_qc_complete" },
	{ 0xfd0c7ff5, "ata_sas_scsi_ioctl" },
	{ 0x28482327, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x96f8b9e3, "sas_rphy_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1cd72980, "bsg_job_done" },
	{ 0x290f8250, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5becaac5, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x14503500, "scsi_schedule_eh" },
	{ 0xa47f3e8b, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x909d5a3a, "ata_ncq_prio_enabled" },
	{ 0x6c928556, "ata_host_init" },
	{ 0xc9288645, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b4d498, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe096dcd8, "sas_port_get_phy" },
	{ 0xf49adc7e, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x848f6631, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x2812e2, "get_device" },
	{ 0x4eaac2dd, "ata_wait_after_reset" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd469fc0f, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x660fac43, "_dev_info" },
	{ 0x72936556, "sas_phy_free" },
	{ 0xcb481ab9, "scsi_eh_finish_cmd" },
	{ 0xc76fc4bc, "ata_port_schedule_eh" },
	{ 0xc7b9230, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x18f55360, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xbde88766, "sas_port_mark_backlink" },
	{ 0x2fba0d29, "kmem_cache_free" },
	{ 0x9859705d, "ata_link_abort" },
	{ 0x11caeb87, "ata_std_qc_defer" },
	{ 0xea50a9a7, "ata_scsi_port_error_handler" },
	{ 0x6694181b, "ata_change_queue_depth" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4e830d, "ata_port_probe" },
	{ 0x3ca590e2, "ata_std_error_handler" },
	{ 0x2eac410c, "ata_port_free" },
	{ 0x31810f76, "sas_end_device_alloc" },
	{ 0x4a132d71, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xab35296a, "sas_read_port_mode_page" },
	{ 0x59d85f90, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xbb46d056, "sas_rphy_delete" },
	{ 0xa649de05, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb2035cdb, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1bf96fdc, "kmem_cache_alloc_noprof" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xb98a651d, "__kmem_cache_create_args" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xd263af2, "scsi_host_busy" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xd3f4b3cf, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1e8042c4, "ata_sas_port_suspend" },
	{ 0x993ae8b2, "sas_rphy_add" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0x8c911590, "sas_port_delete_phy" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1effc021, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8de3a7b, "sas_port_add_phy" },
	{ 0x465e283d, "ata_scsi_cmd_error_handler" },
	{ 0xc65854dd, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x3edcef5b, "ata_sas_sdev_configure" },
	{ 0x35e9c367, "blk_mq_tagset_busy_iter" },
	{ 0x7fcfcc4b, "scsi_done" },
	{ 0x3af99dee, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x88f164cd, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x93cbb660, "ata_host_put" },
	{ 0xc6e8a11c, "sas_port_free" },
	{ 0x1ff9748f, "ata_std_sched_eh" },
	{ 0x2b507055, "ata_port_alloc" },
	{ 0xcbb24484, "scsi_block_requests" },
	{ 0x7f2636a, "blk_abort_request" },
	{ 0x7dab37c9, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x79336050, "sas_remove_children" },
	{ 0x4d52e364, "scsi_change_queue_depth" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0xbde37b28, "ata_port_wait_eh" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xbdb33a00, "kmem_cache_destroy" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "D980F626497B4DA9B4BB593");
MODULE_INFO(rhelversion, "10.1");
