#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x79336050, "");
SYMBOL_CRC(sas_remove_host, 0xb27fb2b0, "");
SYMBOL_CRC(sas_get_address, 0x4f2313b8, "");
SYMBOL_CRC(sas_tlr_supported, 0x5bdb3ce6, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x72d85f77, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xf82abc07, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x0f1d47b1, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x66defe60, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xd469fc0f, "");
SYMBOL_CRC(sas_phy_add, 0x88f164cd, "");
SYMBOL_CRC(sas_phy_free, 0x72936556, "");
SYMBOL_CRC(sas_phy_delete, 0xa0b4210e, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x63548d80, "");
SYMBOL_CRC(sas_port_alloc, 0xc9288645, "");
SYMBOL_CRC(sas_port_alloc_num, 0x651ac4d8, "");
SYMBOL_CRC(sas_port_add, 0x18f55360, "");
SYMBOL_CRC(sas_port_free, 0xc6e8a11c, "");
SYMBOL_CRC(sas_port_delete, 0xd3f4b3cf, "");
SYMBOL_CRC(scsi_is_sas_port, 0x10eb88d6, "");
SYMBOL_CRC(sas_port_get_phy, 0xe096dcd8, "");
SYMBOL_CRC(sas_port_add_phy, 0xa8de3a7b, "");
SYMBOL_CRC(sas_port_delete_phy, 0x8c911590, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xbde88766, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xab35296a, "");
SYMBOL_CRC(sas_end_device_alloc, 0x31810f76, "");
SYMBOL_CRC(sas_expander_alloc, 0x59d85f90, "");
SYMBOL_CRC(sas_rphy_add, 0x993ae8b2, "");
SYMBOL_CRC(sas_rphy_free, 0x1effc021, "");
SYMBOL_CRC(sas_rphy_delete, 0xbb46d056, "");
SYMBOL_CRC(sas_rphy_unlink, 0x5becaac5, "");
SYMBOL_CRC(sas_rphy_remove, 0x96f8b9e3, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xcec94ecd, "");
SYMBOL_CRC(sas_attach_transport, 0xb2035cdb, "");
SYMBOL_CRC(sas_release_transport, 0xb21545ab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c23a862, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6e08ab6, "device_add" },
	{ 0xc5dfdbb, "transport_add_device" },
	{ 0xa341d404, "transport_configure_device" },
	{ 0xe4f5554f, "device_del" },
	{ 0x2fceb5e9, "transport_destroy_device" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x2812e2, "get_device" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x7b8374db, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7135e0f, "scsi_scan_target" },
	{ 0xfb9b4f84, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf6891b0e, "transport_class_register" },
	{ 0x7fbd390c, "transport_class_unregister" },
	{ 0x758d91fe, "transport_remove_device" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x1b28d858, "attribute_container_register" },
	{ 0x5a1dfd4, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x782bec8f, "_dev_printk" },
	{ 0xa1535b7a, "scsi_mode_sense" },
	{ 0xb193d34b, "attribute_container_unregister" },
	{ 0x1470957c, "scsi_remove_host" },
	{ 0x2bf8dbe2, "bsg_remove_queue" },
	{ 0x6df9403d, "scsi_remove_target" },
	{ 0xa649de05, "scsi_is_host_device" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0x1cd72980, "bsg_job_done" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0xf88502d1, "dma_opt_mapping_size" },
	{ 0x3655bf5a, "device_initialize" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0xae4edaa8, "transport_setup_device" },
	{ 0x296190cc, "scsi_get_vpd_page" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");
MODULE_INFO(rhelversion, "10.1");
