#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x409b50b0, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x8690d9c0, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x9c7656d5, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x7dc22212, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xb9b84c92, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x517a28a1, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x91545103, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xbfea636b, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xa64d058a, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x0ed3de5f, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x94c0db7f, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xfb18c6ae, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x5e987386, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x5ecd4b7f, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x27517f4a, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xa2654a05, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x84a88cce, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x7bcb7be5, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xeed32685, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x5226c50f, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x5830e763, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xfacab2cf, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0x078f1b10, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x1f6094c2, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x9f11c919, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x86a23d7d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x2f0802a4, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x860e6008, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x6994aa50, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8a55f79, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x8196c2fe, "vmf_insert_pfn" },
	{ 0x8396be41, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe2e70683, "pci_read_vpd" },
	{ 0x2e00bfc4, "bus_unregister_notifier" },
	{ 0xbff4e1d, "pci_request_selected_regions" },
	{ 0x9a8745cc, "pci_release_selected_regions" },
	{ 0xfa88f114, "pci_user_write_config_byte" },
	{ 0xa6512d6c, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x677093f, "pci_bus_max_busnr" },
	{ 0xac3958d0, "pci_check_and_mask_intx" },
	{ 0xf769bc8f, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x7e2bfb2c, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x287017af, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd893d4d0, "pci_dev_put" },
	{ 0x754e49ff, "iommu_group_get" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xe72a4a04, "vfio_virqfd_disable" },
	{ 0x8df92d64, "vfio_iommufd_get_dev_id" },
	{ 0xd1dec3c6, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b5450c6, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x53bfee9a, "unmap_mapping_range" },
	{ 0xfb26eddf, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb3d176d, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd3dcd821, "pci_probe_reset_bus" },
	{ 0xce577cd, "pci_probe_reset_slot" },
	{ 0xaf3a514f, "pci_set_power_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x7d15912b, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x7ef51544, "__dynamic_dev_dbg" },
	{ 0x7659176d, "down_read_trylock" },
	{ 0x25718db5, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x26a15a99, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7677d564, "pci_user_write_config_word" },
	{ 0xab9889c3, "vfio_iommufd_device_ictx" },
	{ 0xf05fc9c6, "bus_register_notifier" },
	{ 0x660fac43, "_dev_info" },
	{ 0xfc1ccff7, "vfio_file_is_group" },
	{ 0x714a75bf, "pci_msix_can_alloc_dyn" },
	{ 0xa3ad66b7, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe565bb86, "pci_clear_master" },
	{ 0xd9d67c30, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x8835101, "fput" },
	{ 0x347e605a, "down_write" },
	{ 0x4f0c8045, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xdf4dbd7e, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x13302de7, "pci_write_vpd" },
	{ 0xaa0a8bfa, "vfio_virqfd_enable" },
	{ 0xef6d48a3, "vga_client_register" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x23dafcd9, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x99b4be9e, "aperture_remove_conflicting_pci_devices" },
	{ 0xb188789e, "vfio_unregister_group_dev" },
	{ 0xdf5b7eb4, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9398fd8b, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0xfea3abe7, "pci_iounmap" },
	{ 0xf190f360, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x310b6d06, "_dev_warn" },
	{ 0xeca48d2, "prot_ns_shared" },
	{ 0x86f9908f, "pcie_get_mps" },
	{ 0xeb3c66e4, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4997c4cb, "down_write_trylock" },
	{ 0xcdd5fe29, "down_read" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x49f8640d, "pci_dev_driver" },
	{ 0xd49dfb18, "__xa_insert" },
	{ 0x3477fb23, "xa_erase" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x67c3af6f, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x2c0fccf0, "_dev_notice" },
	{ 0xd406b691, "pm_runtime_forbid" },
	{ 0x9ff43233, "pm_runtime_allow" },
	{ 0x9e6617a2, "pci_reset_bus" },
	{ 0x6357807d, "__pm_runtime_resume" },
	{ 0xba431883, "vfio_register_group_dev" },
	{ 0xfce966bd, "vfio_assign_device_set" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x2c44d48a, "pci_user_read_config_byte" },
	{ 0x911eb0e6, "pci_try_reset_function" },
	{ 0x8db551ca, "xa_find" },
	{ 0xf89748e5, "pci_get_class" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x69603939, "pci_user_write_config_dword" },
	{ 0xa4458663, "pcie_capability_read_dword" },
	{ 0x3f9bb33c, "pci_load_and_free_saved_state" },
	{ 0x6175698d, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x27598c15, "vfio_device_set_open_count" },
	{ 0xb6a57c46, "pci_disable_device" },
	{ 0x94696682, "pci_match_id" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x47508211, "pci_check_and_unmask_intx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2aa50b95, "pcie_set_readrq" },
	{ 0xa3b0e307, "pci_walk_bus" },
	{ 0xc61924a8, "pci_msix_alloc_irq_at" },
	{ 0x13ecab86, "xa_find_after" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x97faf1a7, "pci_unmap_rom" },
	{ 0x763d7e8d, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0x10af5852, "vga_set_legacy_decoding" },
	{ 0xf2e1bfc0, "pci_dev_unlock" },
	{ 0x93f6713, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x37f9e365, "pci_free_irq_vectors" },
	{ 0x3f3c763d, "pci_enable_sriov" },
	{ 0xe1e4fe3, "up_read" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xcac99ef3, "__pm_runtime_idle" },
	{ 0x18c5a800, "vfio_virqfd_flush_thread" },
	{ 0xd8707a27, "pci_bus_type" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "4BE7D62B7884C1C332EA60A");
MODULE_INFO(rhelversion, "10.1");
