#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xe66f3461, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x8c0bac2f, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xa9b3d411, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x1060119b, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x24c0159f, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x38fb0b60, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x510e3855, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x0969ede1, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xe924a1d3, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x083c50c6, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x9d50807c, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xe1c5957e, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x7b46c3d2, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x3d19a4f6, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x686b84b8, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x0d1228f9, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xab6226a8, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x3d8db7b4, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x5a808c6d, "");
SYMBOL_CRC(vhost_chr_poll, 0x3d2a7c8c, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x306cadf7, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x087c593d, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x055b4f81, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xda8a4b43, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xf2a44bc5, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x7e8a8919, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xaa474fe0, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x0ca424a3, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x9a136ccf, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x84b678ef, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xefccb152, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xba5260da, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x7b3f2b2e, "_gpl");
SYMBOL_CRC(vhost_signal, 0x1707c247, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x508c6ca9, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x6c4210c2, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x66189552, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xc70fc6c6, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xeb3f1db9, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xc75796b2, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x9e29bea0, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x299dbee2, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x17e19214, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe125c7af, "add_wait_queue" },
	{ 0x47b526f8, "remove_wait_queue" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0x3477fb23, "xa_erase" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x65a1cbe, "mmput" },
	{ 0xe9f2e0e3, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0x5f7f724b, "__xa_alloc" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdcb764ad, "memset" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xf23ebee9, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xd83f0c1, "unpin_user_pages_dirty_lock" },
	{ 0x8db551ca, "xa_find" },
	{ 0x13ecab86, "xa_find_after" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x8835101, "fput" },
	{ 0xa55f6b53, "xa_destroy" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x7f6cddd5, "iov_iter_init" },
	{ 0x7670bd9b, "_copy_from_iter" },
	{ 0xe29186ab, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9beb0034, "_copy_to_iter" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0xaabf420d, "prepare_to_wait" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1e2a4b97, "get_task_mm" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xc035ef7, "iov_iter_advance" },
	{ 0x29f71016, "eventfd_fget" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0xe8aeb784, "param_ops_ushort" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "C4F23D70DE2A05B29BE97B0");
MODULE_INFO(rhelversion, "10.1");
