#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(framebuffer_alloc, "", "");
KSYMTAB_FUNC(framebuffer_release, "", "");
KSYMTAB_FUNC(fb_get_color_depth, "", "");
KSYMTAB_FUNC(fb_pad_aligned_buffer, "", "");
KSYMTAB_FUNC(fb_pad_unaligned_buffer, "", "");
KSYMTAB_FUNC(fb_get_buffer_offset, "", "");
KSYMTAB_FUNC(fb_pan_display, "", "");
KSYMTAB_FUNC(fb_set_var, "", "");
KSYMTAB_FUNC(fb_blank, "", "");
KSYMTAB_FUNC(register_framebuffer, "", "");
KSYMTAB_FUNC(unregister_framebuffer, "", "");
KSYMTAB_FUNC(devm_register_framebuffer, "", "");
KSYMTAB_FUNC(fb_set_suspend, "", "");
KSYMTAB_FUNC(fb_modesetting_disabled, "", "");
KSYMTAB_FUNC(fb_alloc_cmap, "", "");
KSYMTAB_FUNC(fb_dealloc_cmap, "", "");
KSYMTAB_FUNC(fb_copy_cmap, "", "");
KSYMTAB_FUNC(fb_set_cmap, "", "");
KSYMTAB_FUNC(fb_default_cmap, "", "");
KSYMTAB_FUNC(fb_invert_cmaps, "", "");
KSYMTAB_FUNC(fb_destroy_modelist, "_gpl", "");
KSYMTAB_FUNC(fb_find_best_display, "", "");
KSYMTAB_FUNC(fb_videomode_to_var, "", "");
KSYMTAB_FUNC(fb_var_to_videomode, "", "");
KSYMTAB_FUNC(fb_mode_is_equal, "", "");
KSYMTAB_FUNC(fb_add_videomode, "", "");
KSYMTAB_FUNC(fb_match_mode, "", "");
KSYMTAB_FUNC(fb_find_best_mode, "", "");
KSYMTAB_FUNC(fb_find_nearest_mode, "", "");
KSYMTAB_FUNC(fb_videomode_to_modelist, "", "");
KSYMTAB_FUNC(fb_find_mode, "", "");
KSYMTAB_FUNC(fb_find_mode_cvt, "", "");
KSYMTAB_FUNC(fb_get_options, "", "");
KSYMTAB_FUNC(fb_firmware_edid, "", "");
KSYMTAB_FUNC(fb_parse_edid, "", "");
KSYMTAB_FUNC(fb_edid_to_monspecs, "", "");
KSYMTAB_FUNC(fb_get_mode, "", "");
KSYMTAB_FUNC(fb_validate_mode, "", "");
KSYMTAB_FUNC(fb_destroy_modedb, "", "");
KSYMTAB_FUNC(fb_deferred_io_fsync, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_mmap, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_init, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_open, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_release, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_cleanup, "_gpl", "");
KSYMTAB_FUNC(fbcon_update_vcs, "", "");
KSYMTAB_FUNC(fbcon_modechange_possible, "_gpl", "");

SYMBOL_CRC(framebuffer_alloc, 0x35ecae5a, "");
SYMBOL_CRC(framebuffer_release, 0xc3c14ad6, "");
SYMBOL_CRC(fb_get_color_depth, 0x6513a3fa, "");
SYMBOL_CRC(fb_pad_aligned_buffer, 0x61ea189b, "");
SYMBOL_CRC(fb_pad_unaligned_buffer, 0x42f1b900, "");
SYMBOL_CRC(fb_get_buffer_offset, 0x92bc42ab, "");
SYMBOL_CRC(fb_pan_display, 0x082ca85b, "");
SYMBOL_CRC(fb_set_var, 0xbcb4e291, "");
SYMBOL_CRC(fb_blank, 0xd41055ff, "");
SYMBOL_CRC(register_framebuffer, 0xeefc1524, "");
SYMBOL_CRC(unregister_framebuffer, 0xc0d01df6, "");
SYMBOL_CRC(devm_register_framebuffer, 0xb79b1bf6, "");
SYMBOL_CRC(fb_set_suspend, 0x8d6b8f14, "");
SYMBOL_CRC(fb_modesetting_disabled, 0xae1d2c5e, "");
SYMBOL_CRC(fb_alloc_cmap, 0x07a890c8, "");
SYMBOL_CRC(fb_dealloc_cmap, 0x098b71c6, "");
SYMBOL_CRC(fb_copy_cmap, 0x1dd571e6, "");
SYMBOL_CRC(fb_set_cmap, 0xd38dcd92, "");
SYMBOL_CRC(fb_default_cmap, 0xff6878cf, "");
SYMBOL_CRC(fb_invert_cmaps, 0xf195c682, "");
SYMBOL_CRC(fb_destroy_modelist, 0xc9561772, "_gpl");
SYMBOL_CRC(fb_find_best_display, 0xfdcc8a0e, "");
SYMBOL_CRC(fb_videomode_to_var, 0x12f6f69c, "");
SYMBOL_CRC(fb_var_to_videomode, 0x96c17136, "");
SYMBOL_CRC(fb_mode_is_equal, 0xd406d266, "");
SYMBOL_CRC(fb_add_videomode, 0xee58e970, "");
SYMBOL_CRC(fb_match_mode, 0xdef7c893, "");
SYMBOL_CRC(fb_find_best_mode, 0xce4cdb8e, "");
SYMBOL_CRC(fb_find_nearest_mode, 0x20d65e40, "");
SYMBOL_CRC(fb_videomode_to_modelist, 0x50a4698c, "");
SYMBOL_CRC(fb_find_mode, 0x41677a54, "");
SYMBOL_CRC(fb_find_mode_cvt, 0xf93fd09c, "");
SYMBOL_CRC(fb_get_options, 0xab781570, "");
SYMBOL_CRC(fb_firmware_edid, 0x89795af9, "");
SYMBOL_CRC(fb_parse_edid, 0x4351577a, "");
SYMBOL_CRC(fb_edid_to_monspecs, 0x0397edd5, "");
SYMBOL_CRC(fb_get_mode, 0x8b37d5d0, "");
SYMBOL_CRC(fb_validate_mode, 0x3488f3d4, "");
SYMBOL_CRC(fb_destroy_modedb, 0xc07b0863, "");
SYMBOL_CRC(fb_deferred_io_fsync, 0xf1ad15a8, "_gpl");
SYMBOL_CRC(fb_deferred_io_mmap, 0x09942edf, "_gpl");
SYMBOL_CRC(fb_deferred_io_init, 0xd530a3d1, "_gpl");
SYMBOL_CRC(fb_deferred_io_open, 0x8b2556a5, "_gpl");
SYMBOL_CRC(fb_deferred_io_release, 0x1538148d, "_gpl");
SYMBOL_CRC(fb_deferred_io_cleanup, 0x6f707b62, "_gpl");
SYMBOL_CRC(fbcon_update_vcs, 0xdbca2535, "");
SYMBOL_CRC(fbcon_modechange_possible, 0xc7c90d0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5c78a99, "do_blank_screen" },
	{ 0xb423dba1, "console_blanked" },
	{ 0xea7daa08, "__video_get_options" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf1abe5c2, "con_set_default_unimap" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x950ee7d1, "fb_find_logo" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x241bf4a6, "folio_unlock" },
	{ 0x88edf29e, "vmalloc_to_page" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x600683d3, "do_unblank_screen" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x464639b5, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x949477f7, "update_region" },
	{ 0xe30009e6, "noop_dirty_folio" },
	{ 0x4e6e8ea7, "fg_console" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x944a564d, "is_console_locked" },
	{ 0x2812e2, "get_device" },
	{ 0x3751cd69, "con_copy_unimap" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf669fd8b, "do_take_over_console" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x40d04664, "console_trylock" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0x2592fc6c, "console_printk" },
	{ 0xe3a96c6d, "__vc_resize" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x1f091bfb, "module_put" },
	{ 0x97b6dfa1, "file_write_and_wait_range" },
	{ 0x7c777e35, "device_create_file" },
	{ 0x40b2b67e, "con_is_bound" },
	{ 0x347e605a, "down_write" },
	{ 0x4f0c8045, "up_write" },
	{ 0xbef43296, "console_conditional_schedule" },
	{ 0x15c848f1, "device_create" },
	{ 0xe21f602, "class_create" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a552f0f, "file_update_time" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x863a276a, "color_table" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6999df26, "folio_mkclean" },
	{ 0x654449c3, "memset16" },
	{ 0x2d4daef5, "find_font" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9e3927bb, "get_default_font" },
	{ 0xdcb764ad, "memset" },
	{ 0xeca48d2, "prot_ns_shared" },
	{ 0x790e1ea7, "redraw_screen" },
	{ 0x34220395, "pm_vt_switch_required" },
	{ 0xc631580a, "console_unlock" },
	{ 0x4153c0f9, "vc_cons" },
	{ 0x9fce80db, "fb_notifier_call_chain" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x99396ef, "param_ops_bool" },
	{ 0xafe92e7b, "con_is_visible" },
	{ 0xba1fcbb8, "pm_vt_switch_unregister" },
	{ 0x4ed32d50, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x25010aab, "__folio_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3eb79e96, "do_unregister_con_driver" },
	{ 0x98e508ef, "ignore_console_lock_warning" },
	{ 0xa20b91f, "__devm_add_action" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x43c67309, "do_unbind_con_driver" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x67e87e84, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "63952091387FC8B16BB8FF9");
MODULE_INFO(rhelversion, "10.1");
