#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x389e3dc0, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x58a1ab55, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xa5c509c8, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x9867ec76, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x9dea5324, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x4f25ce29, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xfa81b44b, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x13f89041, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x07e1cff3, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x178ea29a, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x6307a04c, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x5fc0f41e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3cdbfede, "ipv6_chk_addr_and_flags" },
	{ 0x4628b658, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc2a6c04, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x3103a386, "register_pernet_device" },
	{ 0xfaf8fdb7, "xfrm6_tunnel_register" },
	{ 0x5f02dbe, "rtnl_link_register" },
	{ 0x18e093e8, "xfrm6_tunnel_deregister" },
	{ 0xbe72666e, "unregister_pernet_device" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa991ee48, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1bb3f539, "dev_addr_mod" },
	{ 0xfdc9b7c5, "rt6_lookup" },
	{ 0x65b98fa5, "dst_release" },
	{ 0xcd76e682, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x5b0b8224, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe7c0c1dd, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8e6c1c87, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x14325614, "init_net" },
	{ 0xbf9aee35, "alloc_netdev_mqs" },
	{ 0x10b53c90, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xed3a0d7d, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd0f8a1b5, "__xfrm_policy_check" },
	{ 0xb573f0a8, "__skb_ext_del" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x33b2fda1, "__pskb_pull_tail" },
	{ 0x4bf6c3b4, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17bb4f94, "netdev_state_change" },
	{ 0x5ec4d278, "make_kuid" },
	{ 0x7557691a, "ip6_redirect" },
	{ 0xfd8ee59e, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x7cc64e75, "ip6_route_output_flags" },
	{ 0x65fcb369, "xfrm_lookup" },
	{ 0x141facc1, "skb_scrub_packet" },
	{ 0x8dc8cebb, "skb_realloc_headroom" },
	{ 0x635cc351, "skb_set_owner_w" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0x286c754e, "ipv6_push_frag_opts" },
	{ 0xd74ba324, "skb_push" },
	{ 0xad764688, "ip6_local_out" },
	{ 0x73c749ac, "dst_cache_get" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x895393f0, "ipv6_dev_get_saddr" },
	{ 0x537cf461, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x969e972, "ip6_dst_hoplimit" },
	{ 0x569dd642, "neigh_destroy" },
	{ 0x649dd39c, "iptunnel_handle_offloads" },
	{ 0x90f11301, "icmpv6_ndo_send" },
	{ 0xa367f6a, "icmp_ndo_send" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0xbae905c6, "skb_clone" },
	{ 0x644e22a8, "skb_pull" },
	{ 0xb64da58a, "__icmpv6_send" },
	{ 0x9f452b2e, "ip_route_output_flow" },
	{ 0x655f4a0f, "ip_route_input_noref" },
	{ 0x4c64f65f, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb5ed163a, "gro_cells_receive" },
	{ 0x35670976, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x544b657e, "__iptunnel_pull_header" },
	{ 0x5f125f75, "metadata_dst_alloc" },
	{ 0x6c2ddc34, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x13531c9b, "dev_get_tstats64" },
	{ 0x99396ef, "param_ops_bool" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "C6C9DEA7EF8FDC7B61ACDDA");
MODULE_INFO(rhelversion, "10.1");
