#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0xc666731e, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x1d4cfd72, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0xcbf02edb, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x7dddad74, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x9d55d3ea, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xddb7de05, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x4d85cc16, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x53134ac3, "_gpl");
SYMBOL_CRC(ip_set_test, 0x63560faf, "_gpl");
SYMBOL_CRC(ip_set_add, 0x6467def0, "_gpl");
SYMBOL_CRC(ip_set_del, 0xf967e1fa, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x12e1c037, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0xb9b1947f, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x446bab76, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x934a8ae2, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xd13f630c, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x0ea7ad88, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0xaf110133, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x955f3b48, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89931730, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x23356efa, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc6d9c7a5, "nf_register_sockopt" },
	{ 0x838fede8, "nla_put_64bit" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x65fb3d29, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa9567f63, "netlink_ack" },
	{ 0xfff195a9, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x87c0e93d, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x28057931, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f088838, "__alloc_skb" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0x1f091bfb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x77d6c8c0, "nfnetlink_unicast" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a51ac8a, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6c2ddc34, "ns_capable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x70805041, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfb2e970a, "nfnetlink_subsys_unregister" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0x3f1621ff, "skb_trim" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf665f01d, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x28340998, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "B06F5D6440B874F2FB7952E");
MODULE_INFO(rhelversion, "10.1");
