#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x19afa46b, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xc8da2ac1, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x89be21bc, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb69c0ca3, "skb_free_datagram" },
	{ 0x28d60289, "sock_queue_rcv_skb_reason" },
	{ 0x6ffd412, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbd127d06, "bpf_trace_run4" },
	{ 0xfd929aca, "skb_copy_bits" },
	{ 0x1eecff92, "radix_tree_insert" },
	{ 0x27f7d1fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcaf28dd, "trace_raw_output_prep" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x671bbc88, "__trace_trigger_soft_disabled" },
	{ 0x3c634c1f, "radix_tree_lookup" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x2cd7c870, "trace_event_printf" },
	{ 0x3caae30d, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x8681c9a8, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0xeda4b127, "__module_get" },
	{ 0x57fd24f4, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9ce60351, "__pskb_copy_fclone" },
	{ 0xae44625c, "sk_error_report" },
	{ 0xb7820558, "skb_queue_purge_reason" },
	{ 0xecfa9308, "radix_tree_iter_delete" },
	{ 0xb842fe53, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x115f876c, "proto_unregister" },
	{ 0x2b3852f, "sock_register" },
	{ 0x8d580c3d, "datagram_poll" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3f088838, "__alloc_skb" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0xdfa882d3, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f091bfb, "module_put" },
	{ 0x5f7f724b, "__xa_alloc" },
	{ 0x79d57f13, "sock_no_shutdown" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x7573436a, "perf_trace_run_bpf_submit" },
	{ 0x700e16f5, "__traceiter_sk_data_ready" },
	{ 0x14325614, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf7f738b0, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0xdf4dbd7e, "xa_load" },
	{ 0xb58c0edf, "kernel_getsockname" },
	{ 0x23ca999a, "do_wait_intr_irq" },
	{ 0x6ba839f9, "sk_free" },
	{ 0xa18d9b2, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0xd74ba324, "skb_push" },
	{ 0x63dcd65d, "sock_no_listen" },
	{ 0xb766637, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xb15c28fe, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc4be2377, "skb_copy_datagram_iter" },
	{ 0xb7754d17, "sk_alloc" },
	{ 0x94b45a98, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x8a8ddb8c, "sock_no_mmap" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0x17820586, "__netdev_alloc_skb" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0xd49dfb18, "__xa_insert" },
	{ 0x3477fb23, "xa_erase" },
	{ 0x4242166b, "bpf_trace_run3" },
	{ 0x635cc351, "skb_set_owner_w" },
	{ 0x2e8be663, "trace_event_buffer_reserve" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0x96b25e21, "sock_create_kern" },
	{ 0x8db551ca, "xa_find" },
	{ 0x570b70ac, "skb_recv_datagram" },
	{ 0x10c81fc4, "sock_alloc_send_pskb" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8b23efc8, "xa_store" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0x7670bd9b, "_copy_from_iter" },
	{ 0x728f3786, "sock_release" },
	{ 0x4f4584f, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x13ecab86, "xa_find_after" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe29186ab, "iov_iter_revert" },
	{ 0xa6181be, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0xd729de8f, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x34e947f7, "release_sock" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");
MODULE_INFO(rhelversion, "10.1");
