#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0xb93a7299, "");
SYMBOL_CRC(gss_krb5_checksum, 0x134e4086, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0xa4ab935d, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0xfb6b874e, "");
SYMBOL_CRC(krb5_etm_checksum, 0x6cb4d00c, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56a164ef, "crypto_skcipher_encrypt" },
	{ 0x493a0957, "crypto_alloc_ahash" },
	{ 0x4d34b00d, "xdr_buf_trim" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc06d8ae5, "xdr_process_buf" },
	{ 0xd465dc31, "read_bytes_from_xdr_buf" },
	{ 0xe3319e05, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd2efc759, "crypto_skcipher_setkey" },
	{ 0x811c768b, "gss_mech_unregister" },
	{ 0x75107b40, "crypto_destroy_tfm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa34d03bd, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0xab96398, "crypto_ahash_init" },
	{ 0x13289503, "crypto_shash_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2483d664, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xef977acd, "xdr_buf_subsegment" },
	{ 0x9737a252, "crypto_alloc_sync_skcipher" },
	{ 0x9f2be405, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9f48ec89, "crypto_shash_final" },
	{ 0x7b351fe3, "gss_mech_register" },
	{ 0xf54bd49b, "lcm" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd9c1987, "write_bytes_to_xdr_buf" },
	{ 0x8ef8e6b5, "crypto_ahash_update" },
	{ 0x4117b24e, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "095714F56BCFD1147E20F3A");
MODULE_INFO(rhelversion, "10.1");
