#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x28006024, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xfa9948de, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x3a7db7f7, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x3b63aee0, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xef01b5d9, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xae7c3c11, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x37e23671, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x9c62e7f1, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x39d6ee9a, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x69c8933d, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xbcb47b60, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x57910e06, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x8d7b86ef, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xcf66f81f, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x4affea3e, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xa55d43ed, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x0f8ed58a, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x4c0fd47d, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x4a8ae6a3, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x937c1856, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xef3ae3ba, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x7717cf09, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xfd6cb9e0, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xff1d3753, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x3deefdb8, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9be8a5ca, "security_sock_graft" },
	{ 0x9de824c2, "sock_map_close" },
	{ 0x28d60289, "sock_queue_rcv_skb_reason" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2e1955f3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a2ff314, "consume_skb" },
	{ 0x403d6abc, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xaabf420d, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe125c7af, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeda4b127, "__module_get" },
	{ 0xc8deae2f, "sk_stream_error" },
	{ 0x9ad83c36, "sk_msg_recvmsg" },
	{ 0x57aeeed9, "ns_capable_noaudit" },
	{ 0xd73bc781, "__put_cred" },
	{ 0xae44625c, "sk_error_report" },
	{ 0xb7820558, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x115f876c, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2b3852f, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x8c5380c0, "rt_write_unlock" },
	{ 0xdfa882d3, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f091bfb, "module_put" },
	{ 0xb1944442, "sk_msg_is_readable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x242203b3, "sk_skb_reason_drop" },
	{ 0x6ba839f9, "sk_free" },
	{ 0xa18d9b2, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x63dcd65d, "sock_no_listen" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x290c3178, "sock_recv_errqueue" },
	{ 0xb15c28fe, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4a132d71, "mutex_lock_interruptible" },
	{ 0xb7754d17, "sk_alloc" },
	{ 0x94b45a98, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x70b4f2e8, "misc_register" },
	{ 0x8a8ddb8c, "sock_no_mmap" },
	{ 0xba989fa2, "security_sk_clone" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x446a0c98, "nonseekable_open" },
	{ 0xdac7ad38, "sk_psock_drop" },
	{ 0x990180d2, "__dev_queue_xmit" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa65d1ae0, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbae905c6, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdd7dab22, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x47b526f8, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2dd1a6a0, "sock_setsockopt" },
	{ 0xd729de8f, "sock_init_data" },
	{ 0x34e947f7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5E3748C364EB9E26A08495C");
MODULE_INFO(rhelversion, "10.1");
