#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x75456806, "");
SYMBOL_CRC(snd_timer_instance_free, 0x53533199, "");
SYMBOL_CRC(snd_timer_open, 0x7ad3a2f0, "");
SYMBOL_CRC(snd_timer_close, 0x1d085ea5, "");
SYMBOL_CRC(snd_timer_resolution, 0xb2abdcbd, "");
SYMBOL_CRC(snd_timer_start, 0xd7f0cf3b, "");
SYMBOL_CRC(snd_timer_stop, 0x47677082, "");
SYMBOL_CRC(snd_timer_continue, 0xb82c7fe9, "");
SYMBOL_CRC(snd_timer_pause, 0xca681989, "");
SYMBOL_CRC(snd_timer_interrupt, 0xa458aeab, "");
SYMBOL_CRC(snd_timer_new, 0x50e88a6e, "");
SYMBOL_CRC(snd_timer_notify, 0x6f9f574e, "");
SYMBOL_CRC(snd_timer_global_new, 0xd00fafe6, "");
SYMBOL_CRC(snd_timer_global_free, 0xdce9e0a3, "");
SYMBOL_CRC(snd_timer_global_register, 0x8c3e4d2d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6a9e34, "ida_alloc_range" },
	{ 0x155c91c5, "try_module_get" },
	{ 0x36c33fe4, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5c3e494b, "snd_info_create_module_entry" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x50458c3e, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfd51dd53, "rt_mutex_base_init" },
	{ 0x3e673123, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xe125c7af, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x232b5c1d, "snd_fasync_helper" },
	{ 0x1808a2fd, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x2812e2, "get_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x72cb2e90, "anon_inode_getfd" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4a6ce9cf, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f091bfb, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4566866, "noop_llseek" },
	{ 0xafd5fb1b, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x7393ed14, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x65587903, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x42cbb50, "snd_device_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7e15ae9f, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb7896746, "__init_waitqueue_head" },
	{ 0xb026d261, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbe4c5068, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5583c8e6, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a1638f5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57b7b6ba, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x47b526f8, "remove_wait_queue" },
	{ 0xe9a7dd53, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x2a2f9f1d, "param_ops_int" },
	{ 0x1b2e69c, "snd_register_device" },
	{ 0xc98fade5, "__mutex_rt_init" },
	{ 0x8d97ba21, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf828bc80, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "83B4F8DA42580F26FAC4CAF");
MODULE_INFO(rhelversion, "10.1");
